Bug 1645913 - Review Request: luxcorerender - LuxCore Renderer, an unbiased rendering system
Summary: Review Request: luxcorerender - LuxCore Renderer, an unbiased rendering system
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-04 20:10 UTC by Luya Tshimbalanga
Modified: 2019-05-08 21:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-08 21:17:45 UTC
Type: ---
nonamedotc: fedora-review+


Attachments (Terms of Use)

Comment 1 Luya Tshimbalanga 2018-11-04 20:14:04 UTC
This is a re-review request for renaming LuxRender to luxcorerender as defined on https://fedoraproject.org/wiki/Package_Renaming_Process

Comment 2 Mukundan Ragavan 2018-11-06 02:40:34 UTC
I will review this.

Comment 3 Mukundan Ragavan 2018-11-08 01:55:50 UTC
I am trying to run fedora-review and it seems to hang at 


***
Package glibc-minimal-langpack-2.28-9.fc29.x86_64 contains no files
Package basesystem-11-6.fc29.noarch contains no files
Package glibc-minimal-langpack-2.28-9.fc29.x86_64 contains no files
Last metadata expiration check: 2:32:08 ago on Wed 07 Nov 2018 06:03:46 PM EST.
Last metadata expiration check: 2:32:09 ago on Wed 07 Nov 2018 06:03:46 PM EST.
Last metadata expiration check: 2:32:11 ago on Wed 07 Nov 2018 06:03:46 PM EST.
Last metadata expiration check: 2:32:12 ago on Wed 07 Nov 2018 06:03:46 PM EST.
Last metadata expiration check: 2:32:13 ago on Wed 07 Nov 2018 06:03:46 PM EST.
Last metadata expiration check: 2:32:14 ago on Wed 07 Nov 2018 06:03:46 PM EST.
Last metadata expiration check: 2:32:15 ago on Wed 07 Nov 2018 06:03:46 PM EST.
***

Sorry for the delay.

Comment 4 Luya Tshimbalanga 2018-11-08 06:53:05 UTC
No problem. I think there is a scheduled outage at this time.

Comment 5 Mukundan Ragavan 2018-11-11 12:30:35 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
  

---> Some provides are missing.

$ dnf install luxcorerender-2.1-0.1.beta1.fc30.x86_64.rpm luxcorerender-core-2.1-0.1.beta1.fc30.x86_64.rpm luxcorerender-libs-2.1-0.1.beta1.fc30.x86_64.rpm
Last metadata expiration check: 0:01:08 ago on Sun 11 Nov 2018 07:23:36 AM EST.
Error: 
 Problem 1: conflicting requests
  - nothing provides luxcorerender-lib(x86-64) = 2.1-0.1.beta1.fc30 needed by luxcorerender-core-2.1-0.1.beta1.fc30.x86_64
 Problem 2: package luxcorerender-2.1-0.1.beta1.fc30.x86_64 requires luxcorerender-core = 2.1-0.1.beta1.fc30, but none of the providers can be installed
  - conflicting requests
  - nothing provides luxcorerender-lib(x86-64) = 2.1-0.1.beta1.fc30 needed by luxcorerender-core-2.1-0.1.beta1.fc30.x86_64

Please correct this.
  
- Header files in -devel subpackage, if present.
  Note: luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/bcd-1.1/include/bcd/core/CovarianceMatrix.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/bcd-1.1/include/bcd/core/DeepImage.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/bcd-1.1/include/bcd/core/Denoiser.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/bcd-1.1/include/bcd/core/DenoisingUnit.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/bcd-1.1/include/bcd/core/IDenoiser.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/bcd-1.1/include/bcd/core/MultiscaleDenoiser.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/bcd-1.1/include/bcd/core/SamplesAccumulator.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/bcd-1.1/include/bcd/core/SpikeRemovalFilter.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Cholesky/LDLT.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Cholesky/LLT.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Assign.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/AssignEvaluator.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Block.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/BooleanRedux.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/CommaInitializer.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/CoreEvaluators.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/CwiseBinaryOp.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/CwiseNullaryOp.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/CwiseUnaryOp.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/DenseBase.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/DenseCoeffsBase.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/DenseStorage.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Diagonal.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/DiagonalMatrix.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Dot.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/EigenBase.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Fuzzy.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/GeneralProduct.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/GenericPacketMath.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/IO.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Map.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/MapBase.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/MathFunctions.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Matrix.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/MatrixBase.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/NestByValue.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/NoAlias.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/NumTraits.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/PermutationMatrix.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/PlainObjectBase.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Product.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/ProductEvaluators.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Random.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Redux.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Reverse.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/SelfAdjointView.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/SelfCwiseBinaryOp.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/StableNorm.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Stride.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Swap.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Transpose.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/TriangularMatrix.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/VectorBlock.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/VectorwiseOp.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Visitor.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/arch/CUDA/Half.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/arch/SSE/Complex.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/arch/SSE/PacketMath.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/functors/AssignmentFunctors.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/functors/BinaryFunctors.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/functors/NullaryFunctors.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/functors/UnaryFunctors.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/products/GeneralBlockPanelKernel.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/products/GeneralMatrixMatrix.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/products/GeneralMatrixVector.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/products/Parallelizer.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/products/SelfadjointMatrixVector.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/products/SelfadjointRank2Update.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/BlasUtil.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/Constants.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/ForwardDeclarations.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/IndexedViewHelper.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/IntegralConstant.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/Macros.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/Memory.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/Meta.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/SymbolicIndex.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/XprHelper.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Eigenvalues/MatrixBaseEigenvalues.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Eigenvalues/SelfAdjointEigenSolver.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Eigenvalues/Tridiagonalization.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Geometry/EulerAngles.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Geometry/Homogeneous.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Geometry/OrthoMethods.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Householder/Householder.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Householder/HouseholderSequence.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Jacobi/Jacobi.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/LU/Determinant.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/LU/FullPivLU.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/LU/InverseImpl.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/LU/PartialPivLU.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/QR/ColPivHouseholderQR.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/QR/CompleteOrthogonalDecomposition.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/QR/FullPivHouseholderQR.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/QR/HouseholderQR.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/SVD/BDCSVD.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/SVD/JacobiSVD.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/plugins/BlockMethods.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/plugins/CommonCwiseBinaryOps.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/plugins/CommonCwiseUnaryOps.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/plugins/MatrixCwiseBinaryOps.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/plugins/MatrixCwiseUnaryOps.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/Exceptions.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/Grid.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/Platform.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/Types.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/io/Archive.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/io/Compression.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/io/File.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/io/GridDescriptor.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/io/TempFile.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/io/io.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/BBox.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Coord.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/LegacyFrustum.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Maps.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Mat.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Mat3.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Mat4.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Math.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Quat.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Transform.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Tuple.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Vec2.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Vec3.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Vec4.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/metadata/MetaMap.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/metadata/Metadata.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/metadata/StringMetadata.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/openvdb.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tools/Interpolation.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tools/PointIndexGrid.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tools/PointPartitioner.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/InternalNode.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/Iterator.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/LeafManager.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/LeafNode.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/LeafNodeBool.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/NodeUnion.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/RootNode.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/Tree.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/TreeIterator.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/ValueAccessor.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/util/Formats.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/util/Name.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/util/NodeMasks.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/version.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxcore/luxcore.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxcore/luxcoreimpl.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxcore/pyluxcore/pyluxcoreforblender.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxcore/pyluxcore/pyluxcoreutils.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/accelerators/bvhaccel.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/accelerators/embreeaccel.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/accelerators/mbvhaccel.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/accelerator.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/bvh/bvhbuild.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/color/color.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/color/spd.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/color/spds/blackbodyspd.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/color/spds/data/rgbE_32.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/color/spds/data/xyzbasis.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/color/spds/irregular.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/color/spds/regular.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/color/spectrumwavelengths.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/color/swcspectrum.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/context.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/dataset.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/device.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/epsilon.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/exttrianglemesh.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/geometry/bbox.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/geometry/bsphere.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/geometry/frame.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/geometry/matrix3x3.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/geometry/matrix4x4.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/geometry/matrix4x4op.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/geometry/motionsystem.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/geometry/normal.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/geometry/point.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/geometry/quaternion.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/geometry/ray.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/geometry/raybuffer.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/geometry/transform.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/geometry/triangle.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/geometry/uv.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/geometry/vector.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/geometry/vector_normal.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/intersectiondevice.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/namedobject.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/namedobjectvector.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/ocldevice.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/oclintersectiondevice.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/randomgen.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/trianglemesh.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/core/virtualdevice.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/kernels/kernels.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/luxrays.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/utils/atomic.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/utils/cyhair/cyHairFile.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/utils/fileext.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/utils/mc.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/utils/mcdistribution.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/utils/memory.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/utils/oclcache.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/utils/oclerror.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/utils/ply/rply.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/utils/properties.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/utils/proputils.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/utils/safesave.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/utils/serializationutils.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/utils/thread.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/luxrays/utils/utils.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/bsdf/bsdf.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/bsdf/bsdfevents.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/bsdf/hitpoint.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/cameras/camera.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/cameras/environment.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/cameras/orthographic.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/cameras/perspective.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/cameras/projective.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/cameras/stereo.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/core/sdl.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/core/sphericalfunction/photometricdataies.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/core/sphericalfunction/sphericalfunction.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/core/statictable.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/editaction.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/bidircpu/bidircpu.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/bidircpu/bidircpurenderstate.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/bidirvmcpu/bidirvmcpu.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/cpurenderengine.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/filesaver/filesaver.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/lightcpu/lightcpu.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/lightcpu/lightcpurenderstate.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/oclrenderengine.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/pathcpu/pathcpu.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/pathcpu/pathcpurenderstate.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/pathocl/pathocl.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/pathocl/pathoclrenderstate.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/pathoclbase/compiledscene.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/pathoclbase/pathoclbase.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/pathoclbase/pathoclbasenativethread.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/pathoclbase/pathoclbaseoclthread.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/pathtracer.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/renderengine.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/renderengineregistry.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/rtpathcpu/rtpathcpu.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/rtpathocl/rtpathocl.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/tilepathcpu/tilepathcpu.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/tilepathcpu/tilepathcpurenderstate.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/tilepathocl/tilepathocl.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/tilepathocl/tilepathoclrenderstate.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/engines/tilerepository.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/convtest/filmconvtest.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/denoiser/filmdenoiser.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/denoiser/samplesaccumulator.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/film.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/filmoutputs.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/filmsamplesplatter.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/filters/blackmanharris.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/filters/box.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/filters/filter.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/filters/filterdistribution.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/filters/filterregistry.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/filters/gaussian.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/filters/mitchell.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/filters/mitchellss.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/filters/none.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/framebuffer.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/imagepipeline.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/backgroundimg.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/bcddenoiser.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/bloom.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/cameraresponse.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/cameraresponsefunctions.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/coloraberration.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/contourlines.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/gammacorrection.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/gaussianblur3x3.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/mist.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/nop.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/objectidmask.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/outputswitcher.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/premultiplyalpha.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/tonemaps/autolinear.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/tonemaps/linear.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/tonemaps/luxlinear.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/tonemaps/reinhard02.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/tonemaps/tonemap.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/vignetting.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/imagepipeline/radiancechannelscale.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/film/sampleresult.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/imagemap/imagemap.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/imagemap/imagemapcache.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/kernels/kernels.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/constantinfinitelight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/data/ArHosekSkyModelData.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/data/lampspect.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/data/sunspect.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/distantlight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/infinitelight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/laserlight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/light.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/lightsourcedefs.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/mappointlight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/mapspherelight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/pointlight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/projectionlight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/sharpdistantlight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/sky2light.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/spherelight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/spotlight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/strategies/distributionlightstrategy.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/strategies/dlscache.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/strategies/dlscacheimpl/dlscacheimpl.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/strategies/dlscacheimpl/dlscbvh.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/strategies/dlscacheimpl/dlscoctree.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/strategies/lightstrategy.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/strategies/lightstrategyregistry.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/strategies/logpower.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/strategies/power.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/strategies/uniform.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/sunlight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/trianglelight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/lights/visibility/envlightvisibility.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/archglass.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/carpaint.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/cloth.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/glass.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/glossy2.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/glossycoating.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/glossytranslucent.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/material.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/materialdefs.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/matte.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/mattetranslucent.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/metal2.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/mirror.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/mix.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/null.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/roughglass.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/roughmatte.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/roughmattetranslucent.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/materials/velvet.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/renderconfig.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/rendersession.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/renderstate.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/samplers/metropolis.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/samplers/random.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/samplers/rtpathcpusampler.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/samplers/sampler.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/samplers/samplerregistry.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/samplers/sobol.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/samplers/sobolsequence.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/samplers/tilepathsampler.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/scene/extmeshcache.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/scene/scene.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/scene/sceneobject.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/scene/sceneobjectdefs.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/shapes/meshshape.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/shapes/pointiness.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/shapes/shape.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/shapes/strands.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/slg.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/abs.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/add.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/band.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/bilerp.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/blackbody.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/blender_noiselib.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/blender_texture.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/brick.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/checkerboard.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/clamp.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/cloud.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/colordepth.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/constfloat.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/constfloat3.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/densitygrid.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/divide.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/dots.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/fbm.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/fresnel/fresnelcauchy.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/fresnel/fresnelcolor.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/fresnel/fresnelconst.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/fresnel/fresnelluxpop.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/fresnel/fresnelpreset.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/fresnel/fresnelsopra.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/fresnel/fresneltexture.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/fresnelapprox.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/hitpoint.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/hsv.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/imagemaptex.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/irregulardata.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/lampspectrum.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/mapping/mapping.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/marble.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/mix.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/normalmap.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/object_id.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/remap.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/scale.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/subtract.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/texture.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/texturedefs.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/uv.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/windy.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/textures/wrinkled.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/utils/filenameresolver.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/utils/halfserialization.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/utils/pathdepthinfo.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/utils/varianceclamping.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/volumes/clear.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/volumes/heterogenous.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/volumes/homogenous.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/include/slg/volumes/volume.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/acceleratorwindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/deps/GL/glext.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/deps/GL/glxext.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/include/GLFW/glfw3.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/src/glx_context.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/src/internal.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/src/linux_joystick.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/src/posix_time.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/src/posix_tls.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/src/x11_platform.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/src/xkb_unicode.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/deps/imgui-1.46/imgui.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/deps/imgui-1.46/imgui_internal.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/deps/imgui-1.46/stb_rect_pack.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/deps/imgui-1.46/stb_textedit.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/deps/imgui-1.46/stb_truetype.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/deps/nfd/include/nfd.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/deps/nfd/nfd_common.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/epsilonwindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/fileext.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/filmchannelswindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/filmoutputswindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/filmradiancegroupswindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/haltconditionswindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/helpwindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/imagewindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/imgui_impl_glfw.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/lightstrategywindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/logwindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/luxcoreapp.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/objecteditorwindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/objectwindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/ocldevicewindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/pixelfilterwindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/renderenginewindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/samplerwindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/statswindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.1.beta1.fc30.x86_64/samples/luxcoreui/typetable.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

---> This is fine.

- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

---> Why is this unversioned?  

- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
  
---> Bogus
  
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: luxcorerender-libs. Illegal package name:
  luxcorerender-libs. Does not provide -static: luxcorerender-libs.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

---> Please fix this.


- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in luxcorerender-libs
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries
  

---> Not needed anymore.
  
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

---> Bogus. From the spec file,

%license COPYING.txt

COPYING.txt is the license file.

Comment 6 Mukundan Ragavan 2018-11-11 12:31:06 UTC
Rest of the review.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
     Note: See rpmlint output
[x]: Package does not contain any libtool archives (.la)

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Cannot run licensecheck: Command 'licensecheck -r /var/lib/mock
     /fedora-rawhide-x86_64/root/builddir/build/BUILD/LuxCore-
     luxcorerender_v2.1beta1' returned non-zero exit status -15

---> License is correct.     
     
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/.build-id/81(brlapi,
     linux-atm, libxml2, glibc, sudo, qt5-qtquickcontrols, vlc-core,
     NetworkManager-vpnc, python3-libs, octave, redland, ruby-libs, gimp),
     /usr/lib/.build-id/55(xfce4-session, iproute, libxcb, ilmbase,
     python2-lxml, libreoffice-core, gimp, open-vm-tools-desktop, glibc,
     gcc-gfortran, python3-qt5-base, gstreamer1-plugins-ugly-free,
     strongswan, libkate, ruby-libs, iptables, pciutils-libs, vlc-core,
     GraphicsMagick, libcom_err, NetworkManager, util-linux, ocl-icd,
     grilo, ghostscript, minicom, python3-scipy), /usr/lib/.build-id(qemu-
     ui-gtk, cups-client, efivar-libs, rsyslog, qemu-block-gluster, rpm-
     plugin-selinux, python3-qt5-webkit, libimagequant, giflib,
     libreoffice-graphicfilter, trousers, libdb-utils, xorg-x11-font-utils,
     OpenEXR-libs, libcom_err, libseccomp, p11-kit, libabw, gtkspell,
     libvirt-daemon-driver-storage-iscsi, libmodman, parted, libdvdread,
     perl-version, zstd, bluez-libs, libwebp, libxslt, system-config-
     printer-udev, perl-Encode, libverto-libev, python2-cryptography,
     libevdev, libgpg-error, lvm2-libs, perl-Digest-SHA, perl-Params-
     Classify, libsodium, python3-unbound, libzstd, gtk-murrine-engine,
     lua-lpeg, symlinks, python3-simplejson, libcdr, e2fsprogs-libs,
     pulseaudio-libs, lcms2, python3-Bottleneck, qemu-guest-agent, annobin,
     ntfs-3g, libxcb, libyubikey, python3-pycurl, openconnect, xcb-util-
     keysyms, m4, libgphoto2, xcb-util, libwmf-lite, xfce4-pulseaudio-
     plugin, pulseaudio-utils, perl-Sub-Identify, llvm5.0-libs, perl-
     PerlIO-utf8_strict, libeot, ImageMagick-c++, systemd-bootchart,
     uniconvertor, u2f-hidraw-policy, perl-JSON-XS, texlive-pdftex, perl-
     Ref-Util-XS, perl-Time-Piece, dbusmenu-qt, ncurses-libs, libidn2,
     ldns, thunar-volman, xorg-x11-xkb-utils, NetworkManager-openvpn,
     libxkbfile, hplip-libs, libwvstreams, sane-backends-drivers-cameras,
     python3-hawkey, libwpd, libdc1394, libvirt-daemon-driver-qemu, qemu-
     block-ssh, libwps, gssdp, libacl, pulseaudio-libs-glib2,
     policycoreutils, mcelog, libgdiplus, pptp, sane-backends-drivers-
     scanners, libXxf86misc, foomatic, texlive-dvips, python3-reportlab,
     libpath_utils, rpm-build, libvirt-daemon-driver-storage-sheepdog,
     libglvnd-gles, python3-audit, redhat-lsb-core, libmicrodns, freeglut,
     gstreamer1, python3-statsmodels, gmime30, dbus-libs, libreoffice-gtk3,
     libreoffice-gtk2, cairo-gobject, python3-matplotlib-tk, libclastfm,
     gutenprint, openal-soft, usermode, xarchiver, qpdf-libs, linux-atm-
     libs, libedit, openssh, openssl, python3-cairo, python2-libdnf,
     accountsservice, isl, ImageMagick, gssproxy, mesa-libGLU,
     libatomic_ops, clang6.0-libs, libmpcdec, rubygem-io-console, geany,
     libyui-ncurses, libvirt-daemon-driver-interface, NetworkManager,
     libkate, liblangtag, python3-gmpy2, NetworkManager-l2tp-gnome,
     libdatrie, setuptool, guile, gl2ps, pcre-utf16, tree, pipewire,
     glusterfs-libs, gnupg, libnsl2, xfsprogs, authselect, libcroco,
     texlive-bibtex, xfce4-dict, qt5-qtsensors, NetworkManager-iodine,
     spice-server, NetworkManager-fortisslvpn-gnome, plymouth-plugin-label,
     colord-libs, aalib-libs, libcddb, totem-pl-parser, gpgmepp, gvnc,
     hypervfcopyd, cronie, libexttextcat, qt5-qtquickcontrols, gsl, nettle,
     libcacard, elfutils, colord, libpipeline, pkcs11-helper, gtk-sharp2,
     network-scripts, findutils, popt, python2-xpyb, qt5-qtx11extras,
     libraw1394, lm_sensors, gcc-c++, python3-dbus, iproute-tc, libupnp,
     spice-glib, woff2, python2-numpy, patch, sqlite-libs, lttng-ust,
     enchant, libXxf86dga, python2-smartcols, xdg-user-dirs-gtk,
     libwayland-client, pinentry-gnome3, libipt, mdadm, xl2tpd, device-
     mapper, libXtst, irqbalance, GeoIP, perl-Class-XSAccessor,
     GraphicsMagick, portaudio, libXrandr, newt, liba52, hplip, crda,
     libical, sheepdog, qt5-qtdeclarative, vo-amrwbenc, libXfont2,
     libblockdev-loop, libmfx, libssh2, python3-pyqt5-sip, NetworkManager-
     adsl, open-vm-tools-desktop, xmlsec1-nss, libXcursor, nftables,
     bridge-utils, procps-ng, plymouth-core-libs, telnet, openfortivpn,
     xorg-x11-drv-nouveau, zlib, libpeas, pam_krb5, gutenprint-cups, avahi,
     libselinux, ncurses-compat-libs, libassuan, expat, cups-filters, iw,
     userspace-rcu, wavpack, live555, setroubleshoot-server, make,
     python3-markupsafe, libnice, libsoup, glusterfs-api, fuse, perl-Net-
     SSLeay, perl-Filter, ipmitool, cups-libs, libsepol, efivar, gzip,
     keyutils, libfdisk, libdmx, openssl-libs, corosynclib, libatasmart,
     ipset, x265-libs, libyui-gtk, libcaca, keybinder3, deltarpm, fuse-
     libs, gwenhywfar, xfce4-weather-plugin, xorg-x11-xauth, libglvnd-glx,
     libXrender, json-glib, libX11-xcb, libfontenc, libicu, libgsf,
     xorg-x11-drv-vmware, xfce-polkit, NetworkManager-openconnect, btrfs-
     progs, gcc-gfortran, python3-mistune, wvdial, sni-qt, openssh-askpass,
     mesa-libglapi, glx-utils, qtkeychain-qt5, aqbanking, libass,
     wpa_supplicant, libstdc++, ppp, libtiger, git, perl-Compress-Raw-
     Bzip2, jack-audio-connection-kit, mpg123-libs, opus, git-core,
     python3-tkinter, qalculate-gtk, libxklavier, traceroute, cyrus-sasl-
     plain, libblockdev-crypto, libreoffice-pdfimport, rp-pppoe, libtheora,
     attr, mtr, libblockdev-part, pugixml, plymouth, libcanberra-gtk3,
     mtdev, mailx, systemd-udev, fftw-libs-single, libXvMC, mousepad,
     wmctrl, python2-pillow, libXmu, capstone, libreoffice-impress,
     smartmontools, jasper-libs, librbd1, device-mapper-libs,
     xorg-x11-xinit, libogg, libffi, libGLEW, python2-hawkey, diffutils,
     chrony, time, mpfr, iputils, qt5-qtxmlpatterns, numactl-libs, libvirt-
     daemon-driver-nwfilter, gpgme, hypervvssd, xorg-x11-drv-openchrome,
     ristretto, libmcpp, libibverbs, gdb-headless, qemu-audio-pa, libqmi-
     utils, libmbim-utils, psacct, lame-libs, usbredir, ghostscript,
     libtirpc, iptables-libs, gnucash, cryptsetup-libs, bind-libs,
     pygobject2, lua-posix, libinput, libpkgconf, mono-core,
     python3-tables, qt5-qtconnectivity, libosinfo, qt5-qtsvg, libreoffice-
     calc, libqmi, gawk, xfce4-taskmanager, pcsc-lite-libs, adwaita-
     gtk2-theme, libbasicobjects, hdf5, rdma-core, vte291, nextcloud-
     client-libs, qemu-block-iscsi, NetworkManager-strongswan-gnome, atril,
     brotli, filezilla, libdvbpsi, libsmbclient, python2-reportlab,
     libkcapi, libvdpau, compat-openssl10, opencore-amr, libnftnl,
     python3-wrapt, sstp-client, python3-libvirt, network-manager-applet,
     xcb-util-renderutil, texlive-luatex, lightdm, freetype, logrotate,
     libvirt-daemon-driver-secret, libdnet, atril-libs, ntfsprogs,
     efibootmgr, libgusb, samba-common-libs, libreswan, libpsl,
     python3-rpm, jimtcl, libuser, NetworkManager-libreswan, opensp,
     lz4-libs, graphviz, boost-date-time, python3-libdnf, libglade2, gts,
     pixman, xorg-x11-drv-vesa, python3-numexpr, libbluray, cifs-utils,
     texlive-lib, libbabeltrace, vpnc, psmisc, net-snmp-libs, xorg-x11-drv-
     libinput, mesa-libOSMesa, cairo, libgcc, gdisk, ilmbase, python3-zmq,
     xfce4-settings, poppler, pocl, djvulibre-libs, fftw-libs-double,
     libconfig, ModemManager, texmaker, qemu-img, qt5-qtbase-gui,
     xfce4-screenshooter, rtkit, orc, polkit, libuuid, faad2-libs,
     libarchive, libfreehand, python3-scipy, xfdesktop, cryptsetup,
     udisks2, clucene-contribs-lib, paps-libs, tcp_wrappers, xz,
     libXcomposite, rpcbind, pygtk2, vim-minimal, harfbuzz-icu, libplist,
     checkpolicy, xdg-user-dirs, hwloc-libs, tetex-dvipost, python3-lazy-
     object-proxy, gdk-pixbuf2, xscreensaver-base, gupnp, libevent,
     redland, tcpdump, yubikey-personalization-gui, libblockdev, librdmacm,
     lua-socket, dconf, xz-libs, dbus-glib, python3-kiwisolver, libdvdnav,
     strongswan, libcap, libprojectM, libvirt-daemon-driver-storage-zfs,
     libwbclient, kmod, libvirt-daemon-driver-storage-gluster, numad,
     NetworkManager-fortisslvpn, xfdashboard, GraphicsMagick-c++, libthai,
     fakeroot, libini_config, nss-tools, iproute, python2-gpg,
     libsmartcols, fakeroot-libs, python3-tornado, libyui-qt-graph, libwpg,
     os-prober, ethtool, libfprint, systemd-libs, cpio, libknet1, libfdt,
     util-linux, numlockx, krb5-libs, net-tools, python3-qt5, llvm6.0-libs,
     gtksourceview3, libpciaccess, clucene-core, compiler-rt,
     NetworkManager-ssh-gnome, libxml++, NetworkManager-pptp, libetonyek,
     libgs, libgxps, webkit2gtk3-jsc, libpagemaker, libxkbcommon, device-
     mapper-multipath-libs, yajl, lockdev, cups-filters-libs, poppler-
     utils, lpsolve, xorg-x11-server-utils, gnupg2, libvirt-daemon-driver-
     storage-iscsi-direct, cracklib, libepubgen, libdnf, ruby, gnuplot-
     common, gnome-keyring, libdbusmenu-gtk3, libdbusmenu-gtk2, libSM,
     texlive-makeindex, netpbm, nm-connection-editor, qt5-qttools-libs-
     help, libudisks2, gstreamer1-plugins-bad-free, NetworkManager-
     libreswan-gnome, python3-setools, clutter, zenity, chkconfig,
     libgnome-keyring, hostname, iscsi-initiator-utils, gparted, librados2,
     libvirt-daemon-driver-storage-mpath, pam, python2-cffi, openldap,
     zziplib, gamin, ipcalc, SDL, speex, libvirt-daemon-driver-storage-
     logical, neon, rest, libsamplerate, python2-lxml, samba-libs, boost-
     iostreams, pakchois, lapack, zfs-fuse, libusbmuxd, perl-Unicode-
     Normalize, libimobiledevice, lzop, NetworkManager-wwan, polkit-pkla-
     compat, jbig2dec-libs, libmtp, cyrus-sasl-lib, librevenge, nspr,
     python3-gobject-base, zvbi, dnsmasq, libXfixes, libblkid, libcdio,
     NetworkManager-l2tp, rsync, lua-libs, pavucontrol, perl-Params-Util,
     authselect-libs, soundtouch, xorg-x11-drv-evdev, libpeas-gtk,
     libXinerama, lirc-libs, vim-enhanced, libcmis, libesmtp, acl, iodine-
     client, xfce4-session, gupnp-igd, vid.stab, python3-fastcache,
     libXxf86vm, mesa-libEGL, clang-libs, rpm-plugin-systemd-inhibit,
     systemd-pam, python2-libvirt, glpk, ftgl, perl-Storable, perl-Digest-
     MD5, lua-term, libshout, perl-Sort-Key, libvirt-daemon-driver-storage-
     rbd, nss-util, libsemanage, libstorj, arpack, mozjs52, systemd-
     container, libcomps, libaec, at, file, simple-mtpfs, libblockdev-fs,
     java-1.8.0-openjdk-headless, libnma, gettext, soxr, python3-pandas,
     libutempter, libmetalink, slang, openblas-serial, usbutils, e2fsprogs,
     libcdio-paranoia, grub2-tools-minimal, cpp, libksba, libwayland-
     server, virglrenderer, gdbm, libchromaprint, osinfo-db-tools,
     libsndfile, libvisio, tk, ruby-libs, bzip2-libs, NetworkManager-
     iodine-gnome, sshpass, openssl-pkcs11, gnutls, device-mapper-
     persistent-data, ykpers, webkit2gtk3-plugin-process-gtk2, libselinux-
     utils, perl-Scalar-List-Utils, python2-appindicator, dosfstools, rng-
     tools, libspectre, nano, keyutils-libs, libproxy, libreoffice-math,
     perl-Data-Dumper, glusterfs-fuse, game-music-emu, libnfsidmap, perl-
     XML-Parser, mlocate, file-libs, grub2-tools, avahi-glib, mokutil,
     libblockdev-swap, libnetfilter_conntrack, python3-gobject, libev,
     xfce4-datetime-plugin, ocl-icd, fprintd-pam, blas, libXpresent,
     libusbx, NetworkManager-openvpn-gnome, qrencode-libs, libICE, xfce4
     -places-plugin, libgexiv2, drpm, qemu-block-nfs, createrepo_c-libs,
     grilo, perl-Compress-Raw-Zlib, libindicator-gtk3, speexdsp, upower,
     p7zip, libreoffice-x11, xcb-util-wm, Thunar, atk, dbxtool, gnome-vfs2,
     pragha, alsa-lib, gstreamer1-plugins-good-gtk, libwnck3, x264-libs,
     python2-gobject, gtkmm24, libvirt-daemon-driver-storage-disk, mesa-
     dri-drivers, pyliblzma, libffado, suitesparse, gdbm-libs, fribidi,
     NetworkManager-ssh, pciutils, qt5-qttools-libs-designer, openssh-
     clients, blosc, texlive-mfware, libX11, mate-desktop-libs, celt051,
     beignet, htop, gvfs-mtp, python3-cryptography, systemd, wipe, libnl3,
     gimp-libs, NetworkManager-sstp, libidn, grubby, openjpeg-libs,
     libdbusmenu, libdbi, libbytesize, libmpeg2, qemu-block-rbd,
     python3-systemd, python2-libcomps, audit-libs, gettext-libs, liborcus,
     qt5-qtwayland, libref_array, raptor2, gtk-update-icon-cache, libyui,
     plymouth-plugin-two-step, sbc, qt-x11, libsane-hpaio,
     python3-sqlalchemy, bash, poppler-glib, potrace, seahorse, orage,
     lvm2, harfbuzz, cups, libva, gvfs-client, NetworkManager-libnm,
     python2-libs, zeromq, audit, lrzsz, libglvnd-egl, libunwind, unbound-
     libs, dhcp-libs, libtalloc, grep, ffmpeg, libepoxy, perl-Variable-
     Magic, man-db, libvirt-daemon-driver-storage-core, libibumad, epstool,
     mesa-libgbm, timedatex, fltk, qt5-qtenginio, python2-pynacl, rasqal,
     wireless-tools, libdb, passwd, cups-pk-helper, teckit, kmod-libs,
     libdv, gutenprint-libs, lm_sensors-libs, libreoffice-writer, desktop-
     file-utils, libXdamage, xorg-x11-utils, bzr, libmwaw, exo, gtkmm30,
     clang5.0-libs, qt5-qtmultimedia, libxfce4ui, texlive-xdvi, gobject-
     introspection, libpwquality, fontconfig, compat-ffmpeg28, jbigkit-
     libs, libkcapi-hmaccalc, libdaemon, hypervkvpd, pkgconf, json-c, sed,
     arj, perl-threads-shared, glib-networking, NetworkManager-vpnc-gnome,
     python3-qt5-base, kpartx, libpng, sane-backends-libs, python3-pillow,
     qt5-qtwebsockets, ktoblzcheck, cyrus-sasl, hardlink, libcollection,
     libgcrypt, cairomm, perl-Unicode-UTF8, nss-softokn, lasi, geoclue2,
     lsof, binutils, cronie-anacron, twolame-libs, fuse-exfat, xorg-x11
     -server-Xorg, libmbim, perl-IO, libomp, libverto, glibmm24, gtk-xfce-
     engine, libXScrnSaver, realmd, libmspub, ncurses, nfs-utils,
     graphite2, python3-kerberos, perl-List-MoreUtils-XS, passwdqc-lib,
     libmad, gmp, fuse3, volume_key-libs, cdparanoia-libs, ffmpeg-libs,
     alsa-plugins-pulseaudio, perl-interpreter, gimp, texlive-metafont,
     libcurl, coreutils, libcap-ng, xfce4-screenshooter-plugin, gvfs,
     dbus-x11, pinentry, libvirt-daemon-driver-storage-scsi, librepo, lua-
     filesystem, qemu-common, gsm, libuv, boost-filesystem, libtevent,
     librsvg2, openblas-threads, libglvnd, boost-system, libpcap, openblas-
     threads64_, wxBase3, nmap, snappy, homebank, libindicator, libdrm,
     genisoimage, rubygem-bigdecimal, pcre2, perl-TermReadKey,
     qt5-qtwebkit, cogl, perl-MIME-Base64, libvirt-glib, libqhull,
     libmspack, libssh, libmodulemd, inkscape, GConf2, glibc,
     xfce4-appfinder, fipscheck, bc, gtk-vnc2, quota, wget, libijs, boost-
     regex, python2-unbound, qt5-qtserialport, libgomp, libexif, libkadm5,
     gdk-pixbuf2-xlib, glib2, spirv-tools-libs, qemu-system-x86-core,
     ImageMagick-libs, pcre2-utf16, libmnl, libzmf, libmng, nss, pcre,
     tcp_wrappers-libs, sane-backends, gstreamer1-plugins-base, spax,
     pciutils-libs, libmpc, libXi, openjpeg2, libmatroska, flac-libs,
     libXt, libXv, rubygem-openssl, rpm-libs, info, libnfnetlink,
     libiec61883, NetworkManager-sstp-gnome, rpm-sign-libs, device-mapper-
     event, libusal, lightdm-gtk, qt5-qtbase, libpskc, linux-atm,
     python3-lxml, jwhois, qemu-block-dmg, curl, yelp-libs, gnuplot,
     rubygem-json, fipscheck-lib, python2-pycurl, dos2unix, paps,
     libstaroffice, lzo-minilzo, geany-libgeany, gnome-keyring-pam, zchunk-
     libs, python3-matplotlib, gd, gc, python3-cups, libxshmfence,
     gstreamer1-plugins-ugly-free, atlas, unzip, vlc, gtk2, gtk3,
     libwayland-egl, libv4l, xfce4-session-engines, atkmm, npth, libyaml,
     mercurial, xcb-util-image, libfilezilla, libblockdev-mdraid,
     glusterfs, exiv2-libs, libebml, libunistring, gstreamer1-plugins-good,
     davfs2, python2-rpm, libasyncns, octave, qemu-block-curl, device-
     mapper-multipath, xmlsec1-openssl, python2-cairo, NetworkManager-pptp-
     gnome, jansson, bind-utils, garcon, pxz, firefox, trousers-lib,
     qrupdate, libnumbertext, libaom, zip, webrtc-audio-processing,
     startup-notification, python3-psutil, babl, libqxp, pinfo, freeipmi,
     xfce4-panel, libqalculate, elfutils-libs, libtasn1, perl-libintl-perl,
     libe-book, alsa-utils, sqlite, tar, python3-netifaces, xmlsec1-gnutls,
     sudo, dhcp-client, fprintd, gcc, dwz, xorg-x11-drv-qxl, gcr, ebtables,
     libyui-qt, avahi-libs, pigz, python3-pyyaml, libappindicator-gtk3,
     libquvi, gvfs-archive, thunar-archive-plugin, libao, perl-libs, kbd,
     dbus-daemon, libreoffice-core, libphodav, libwayland-cursor, openvpn,
     libpaper, xvidcore, libwacom, lzo, pango, libss, libshaderc, esmtp,
     polkit-libs, perl-threads, perl-Params-Validate, pangomm, mesa-
     libxatracker, nss-sysinit, LibRaw, texlive-gsftopk, nss-mdns,
     python3-cffi, qtsingleapplication-qt5, at-spi2-core, libvirt-daemon-
     driver-network, gegl04, glibc-common, liblockfile, bind-export-libs,
     xmlsec1-gcrypt, owncloud-client-libs, qt5-qtlocation, python3-libxml2,
     libnfs, libgfortran, stoken-libs, libiscsi, texlive-kpathsea, groff-
     base, libusb, hdparm, hddtemp, mesa-libGL, perl-Devel-LexAlias, perl-
     HTML-Parser, libldb, bind-libs-lite, NetworkManager-vpnc, libmodplug,
     libvirt-daemon-driver-nodedev, libXres, libcanberra, libart_lgpl,
     libgudev, xorg-x11-drv-wacom, libsrtp, perl-Package-Stash-XS, samba-
     client-libs, qt5-qtscript, which, boost-chrono, samba-client, libaio,
     lua-expat, python3-cccolutils, libquadmath, libxfce4util, qemu-ui-
     curses, python2-krbv, brlapi, thunderbird, createrepo_c, liboauth,
     lmdb-libs, xmlsec1, xfce4-power-manager, isns-utils-libs, libmypaint,
     libwsman1, krb5-workstation, mcpp, nmap-ncat, vlc-core, lksctp-tools,
     usb_modeswitch, tbb, mythes, rubygem-psych, NetworkManager-wifi, qt,
     libfastjson, libvorbis, lightdm-gobject, NetworkManager-openconnect-
     gnome, vconfig, python3-libselinux, libodfgen, xfce4-notifyd, exiv2,
     iptables, texlive-xetex, libestr, qt5-qtwebchannel, lua, perl-
     PadWalker, llvm-libs, qtlockedfile-qt5, libvirt-libs, libsigc++20,
     passwdqc, libXft, schroedinger, libattr, hyphen, gnupg2-smime, rpm,
     qemu-audio-oss, libxcrypt, iptstate, radvd, libplacebo, openpgm,
     python3-libs, libappindicator, glusterfs-cli, perl-PathTools, ipset-
     libs, plymouth-graphics-libs, glusterfs-client-xlators, libreoffice-
     pyuno, libxml2, libreoffice-ure, iscsi-initiator-utils-iscsiuio,
     cyrus-sasl-gssapi, xfwm4, libargon2, mesa-vulkan-drivers, libvirt-
     daemon, protobuf-lite, libsecret, tumbler, gtk2-engines, strongswan-
     charon-nm, p11-kit-trust, libdca, fuse-sshfs, augeas-libs, libsysfs,
     python3-numpy, texlive-dvipng, xfce4-terminal, perl-Cpanel-JSON-XS,
     boost-locale, gdk-pixbuf2-modules, at-spi2-atk, xfconf, xen-libs,
     perl-DateTime, vim-common, python2-kerberos, less, libvpx, tcl, rpm-
     build-libs, libnghttp2, util-linux-user, libsolv, libxkbcommon-x11,
     libtdb, python3-gpg, libXdmcp, libofx, perl-Socket, python2-bcrypt,
     aspell, libatomic, libvisual, python3, python2, gpm-libs, minicom,
     unrar, dbus-tools, shared-mime-info, SDL2, webkit2gtk3, libsigsegv,
     keepassxc, boost-thread, perl-Devel-Caller, shadow-utils, nextcloud-
     client, libXaw, libXau, netcf-libs, pulseaudio-module-x11, dmidecode,
     qemu-audio-alsa, python3-libcomps, perl-Devel-CallChecker, libjpeg-
     turbo, spice-gtk3, fuse3-libs, libmount, spice-vdagent, xorg-x11-drv-
     wacom-serial-support, xorg-x11-drv-fbdev, libqb, owncloud-client,
     libavc1394, libtiff, python3-libsemanage, libvncserver, libnotify,
     ima-evm-utils, texlive-tex, ed, python2-gobject-base, mesa-libOpenCL,
     grub2-tools-extra, qemu-audio-sdl, openssh-server, fluidsynth-libs,
     qscintilla-qt5, taglib, libXext, libblockdev-utils, ModemManager-glib,
     dracut, device-mapper-event-libs, initscripts, hunspell, libieee1284,
     wxGTK3, libndp, pulseaudio, qemu-ui-sdl, bzip2, elfutils-libelf, nss-
     softokn-freebl, open-vm-tools, python3-smartcols, libavdevice,
     libtool-ltdl, readline, yelp, xorg-x11-drv-intel, vulkan-loader,
     libXpm), /usr/lib/.build-id/0e(wxGTK3, nss-tools, xorg-x11-drv-
     openchrome, GraphicsMagick, ncurses, vlc-core, ImageMagick-libs,
     gstreamer1-plugins-good, Thunar, vpnc, lua, nfs-utils, zfs-fuse, gdk-
     pixbuf2-modules, python3-scipy, gnupg, spice-vdagent, libssh, util-
     linux, ruby-libs, gimp), /usr/lib/.build-id/97(ImageMagick, cups-
     client, graphviz, texlive-lib, libcdio, perl-interpreter, xorg-x11
     -server-utils, systemd, glibc, strongswan, x265-libs, gvfs, pam,
     libusbx, gstreamer1-plugins-good, python3-libs, vlc-core,
     GraphicsMagick, gegl04, lzo, libseccomp, tbb, potrace, libesmtp,
     lttng-ust, enchant), /usr/lib/.build-id/1a(rsyslog, libwps, gimp,
     xorg-x11-server-utils, systemd, nss-mdns, glibc, samba-client-libs,
     geany, gnupg2, fontconfig, strongswan, ntfsprogs, tcpdump, pam, open-
     vm-tools, python3-pandas, sane-backends-drivers-scanners,
     GraphicsMagick, xfce4-panel, pulseaudio, qt5-qtwebkit, hplip-libs,
     orage, clang-libs), /usr/lib/.build-id/13(libavc1394, libvirt-daemon-
     driver-storage-logical, xfsprogs, sheepdog, libcomps, libyubikey,
     pragha, gimp, xorg-x11-server-Xorg, systemd, nss-mdns, python3-zmq,
     samba-client-libs, perl-Devel-Caller, ruby-libs, iptables, gstreamer1
     -plugins-good, aqbanking, qt-x11, wget, audit, liba52, gnucash,
     python3-scipy, mercurial, glibc), /usr/lib/.build-id/09(systemd, nss-
     tools, NetworkManager-libreswan, java-1.8.0-openjdk-headless, glibc,
     ImageMagick-libs, texlive-metafont, lrzsz, libvpx, gstreamer1-plugins-
     base, glusterfs, nfs-utils, libxcb, clang6.0-libs, pango, vlc-core,
     libselinux-utils, owncloud-client, python3-pycurl), /usr/lib/.build-
     id/76(poppler-utils, qt5-qtdeclarative, kbd, graphviz, qemu-block-dmg,
     libreoffice-core, zip, java-1.8.0-openjdk-headless, python2-pillow,
     glibc, libvirt-daemon, coreutils, NetworkManager-libnm, vlc,
     glusterfs-libs, sane-backends-libs, quota, nfs-utils, foomatic,
     libsysfs, elfutils-libs, gnucash, NetworkManager-sstp-gnome, libthai,
     gsm)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required   
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.

---> Obsoletes is present. Do you not want to add provides?
     
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
     Note: Multiple Release: tags found
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     luxcorerender-libs , luxcorerender-core , luxcorerender-devel ,
     luxcorerender-debuginfo , luxcorerender-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

---> Cannot install package.     

[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.4.13 starting (python version = 3.7.1)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.13
INFO: Mock Version: 1.4.13
Finish: chroot init
INFO: installing package(s): /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1645913-luxcorerender/results/luxcorerender-debugsource-2.1-0.1.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1645913-luxcorerender/results/luxcorerender-libs-debuginfo-2.1-0.1.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1645913-luxcorerender/results/luxcorerender-blender-2.1-0.1.beta1.fc30.noarch.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1645913-luxcorerender/results/luxcorerender-libs-2.1-0.1.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1645913-luxcorerender/results/luxcorerender-devel-2.1-0.1.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1645913-luxcorerender/results/luxcorerender-debuginfo-2.1-0.1.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1645913-luxcorerender/results/luxcorerender-core-debuginfo-2.1-0.1.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1645913-luxcorerender/results/luxcorerender-2.1-0.1.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1645913-luxcorerender/results/luxcorerender-core-2.1-0.1.beta1.fc30.x86_64.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 30 --disableplugin=local --setopt=deltarpm=False install /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1645913-luxcorerender/results/luxcorerender-debugsource-2.1-0.1.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1645913-luxcorerender/results/luxcorerender-libs-debuginfo-2.1-0.1.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1645913-luxcorerender/results/luxcorerender-blender-2.1-0.1.beta1.fc30.noarch.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1645913-luxcorerender/results/luxcorerender-libs-2.1-0.1.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1645913-luxcorerender/results/luxcorerender-devel-2.1-0.1.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1645913-luxcorerender/results/luxcorerender-debuginfo-2.1-0.1.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1645913-luxcorerender/results/luxcorerender-core-debuginfo-2.1-0.1.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1645913-luxcorerender/results/luxcorerender-2.1-0.1.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/1645913-luxcorerender/results/luxcorerender-core-2.1-0.1.beta1.fc30.x86_64.rpm



Rpmlint
-------
Checking: luxcorerender-2.1-0.1.beta1.fc30.x86_64.rpm
          luxcorerender-libs-2.1-0.1.beta1.fc30.x86_64.rpm
          luxcorerender-core-2.1-0.1.beta1.fc30.x86_64.rpm
          luxcorerender-blender-2.1-0.1.beta1.fc30.noarch.rpm
          luxcorerender-devel-2.1-0.1.beta1.fc30.x86_64.rpm
          luxcorerender-debuginfo-2.1-0.1.beta1.fc30.x86_64.rpm
          luxcorerender-debugsource-2.1-0.1.beta1.fc30.x86_64.rpm
          luxcorerender-2.1-0.1.beta1.fc30.src.rpm
luxcorerender.x86_64: W: obsolete-not-provided LuxRender

---> This should be fixed.


luxcorerender.x86_64: E: no-binary
luxcorerender-libs.x86_64: W: obsolete-not-provided LuxRender-lib
luxcorerender-libs.x86_64: E: invalid-ldconfig-symlink /usr/lib64/libglfw.so libglfw.so.3.1
luxcorerender-libs.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libglfw.so ['$ORIGIN']
luxcorerender-libs.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/libglfw.so.3.1 ['$ORIGIN']
luxcorerender-libs.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/python3.7/site-packages/pyluxcore.so ['$ORIGIN']
luxcorerender-libs.x86_64: W: no-documentation
luxcorerender-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libbcd.a
luxcorerender-libs.x86_64: W: spurious-executable-perm /usr/lib64/libbcd.a
luxcorerender-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libluxcore.a
luxcorerender-libs.x86_64: W: spurious-executable-perm /usr/lib64/libluxcore.a
luxcorerender-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libluxrays.a
luxcorerender-libs.x86_64: W: spurious-executable-perm /usr/lib64/libluxrays.a
luxcorerender-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libopenvdb.a
luxcorerender-libs.x86_64: W: spurious-executable-perm /usr/lib64/libopenvdb.a
luxcorerender-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libslg-core.a
luxcorerender-libs.x86_64: W: spurious-executable-perm /usr/lib64/libslg-core.a
luxcorerender-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libslg-film.a
luxcorerender-libs.x86_64: W: spurious-executable-perm /usr/lib64/libslg-film.a
luxcorerender-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libslg-kernels.a
luxcorerender-libs.x86_64: W: spurious-executable-perm /usr/lib64/libslg-kernels.a

---> Spurious executable for static libs should be fixed.

luxcorerender-core.x86_64: W: obsolete-not-provided LuxRender-core
luxcorerender-core.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/benchsimple ['$ORIGIN']
luxcorerender-core.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/luxcoreconsole ['$ORIGIN']
luxcorerender-core.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/luxcoredemo ['$ORIGIN']
luxcorerender-core.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/luxcoreimplserializationdemo ['$ORIGIN']
luxcorerender-core.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/luxcorescenedemo ['$ORIGIN']
luxcorerender-core.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/luxcoreui ['$ORIGIN']
luxcorerender-core.x86_64: W: no-documentation
luxcorerender-core.x86_64: W: no-manual-page-for-binary benchsimple
luxcorerender-core.x86_64: W: no-manual-page-for-binary luxcoreconsole
luxcorerender-core.x86_64: W: no-manual-page-for-binary luxcoredemo
luxcorerender-core.x86_64: W: no-manual-page-for-binary luxcoreimplserializationdemo
luxcorerender-core.x86_64: W: no-manual-page-for-binary luxcorescenedemo
luxcorerender-core.x86_64: W: no-manual-page-for-binary luxcoreui
luxcorerender-blender.noarch: W: obsolete-not-provided LuxRender-blender
luxcorerender-blender.noarch: W: no-documentation
luxcorerender-devel.x86_64: W: no-documentation
luxcorerender.src: W: patch-not-applied Patch0: %{name}-cmake-python.patch
8 packages and 0 specfiles checked; 11 errors, 29 warnings.




Requires
--------
luxcorerender-libs (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libHalf.so.12()(64bit)
    libIex-2_2.so.12()(64bit)
    libIlmImf-2_2.so.22()(64bit)
    libIlmThread-2_2.so.12()(64bit)
    libImath-2_2.so.12()(64bit)
    libOpenCL.so.1()(64bit)
    libOpenCL.so.1(OPENCL_1.0)(64bit)
    libOpenCL.so.1(OPENCL_1.2)(64bit)
    libOpenImageIO.so.1.8()(64bit)
    libX11.so.6()(64bit)
    libXcursor.so.1()(64bit)
    libXi.so.6()(64bit)
    libXinerama.so.1()(64bit)
    libXrandr.so.2()(64bit)
    libXxf86vm.so.1()(64bit)
    libboost_atomic.so.1.66.0()(64bit)
    libboost_chrono.so.1.66.0()(64bit)
    libboost_date_time.so.1.66.0()(64bit)
    libboost_filesystem.so.1.66.0()(64bit)
    libboost_iostreams.so.1.66.0()(64bit)
    libboost_numpy3.so.1.66.0()(64bit)
    libboost_program_options.so.1.66.0()(64bit)
    libboost_python3.so.1.66.0()(64bit)
    libboost_regex.so.1.66.0()(64bit)
    libboost_serialization.so.1.66.0()(64bit)
    libboost_system.so.1.66.0()(64bit)
    libboost_thread.so.1.66.0()(64bit)
    libc.so.6()(64bit)
    libembree3.so.3()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libjpeg.so.62()(64bit)
    libm.so.6()(64bit)
    libpng16.so.16()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libtbb.so.2()(64bit)
    libtiff.so.5()(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    python(abi)
    rtld(GNU_HASH)

luxcorerender-debugsource (rpmlib, GLIBC filtered):

luxcorerender-core (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libHalf.so.12()(64bit)
    libIex-2_2.so.12()(64bit)
    libIlmImf-2_2.so.22()(64bit)
    libIlmThread-2_2.so.12()(64bit)
    libImath-2_2.so.12()(64bit)
    libOpenCL.so.1()(64bit)
    libOpenCL.so.1(OPENCL_1.0)(64bit)
    libOpenCL.so.1(OPENCL_1.2)(64bit)
    libOpenImageIO.so.1.8()(64bit)
    libX11.so.6()(64bit)
    libXcursor.so.1()(64bit)
    libXi.so.6()(64bit)
    libXinerama.so.1()(64bit)
    libXrandr.so.2()(64bit)
    libXxf86vm.so.1()(64bit)
    libatk-1.0.so.0()(64bit)
    libboost_atomic.so.1.66.0()(64bit)
    libboost_chrono.so.1.66.0()(64bit)
    libboost_date_time.so.1.66.0()(64bit)
    libboost_filesystem.so.1.66.0()(64bit)
    libboost_iostreams.so.1.66.0()(64bit)
    libboost_numpy3.so.1.66.0()(64bit)
    libboost_program_options.so.1.66.0()(64bit)
    libboost_python3.so.1.66.0()(64bit)
    libboost_regex.so.1.66.0()(64bit)
    libboost_serialization.so.1.66.0()(64bit)
    libboost_system.so.1.66.0()(64bit)
    libboost_thread.so.1.66.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libembree3.so.3()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglfw.so.3()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libgtk-3.so.0()(64bit)
    libjpeg.so.62()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpng16.so.16()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libtbb.so.2()(64bit)
    libtiff.so.5()(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    luxcorerender-lib(x86-64)
    rtld(GNU_HASH)

luxcorerender (rpmlib, GLIBC filtered):
    luxcorerender-core

luxcorerender-devel (rpmlib, GLIBC filtered):
    luxcorerender-libs(x86-64)

luxcorerender-blender (rpmlib, GLIBC filtered):
    /usr/bin/python3
    blender(ABI)
    luxcorerender(x86-64)

luxcorerender-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
luxcorerender-libs:
    libglfw.so.3()(64bit)
    luxcorerender-libs
    luxcorerender-libs(x86-64)

luxcorerender-debugsource:
    luxcorerender-debugsource
    luxcorerender-debugsource(x86-64)

luxcorerender-core:
    luxcorerender-core
    luxcorerender-core(x86-64)

luxcorerender:
    luxcorerender
    luxcorerender(x86-64)

luxcorerender-devel:
    LuxRender-devel
    luxcorerender-devel
    luxcorerender-devel(x86-64)

luxcorerender-blender:
    luxcorerender-blender
    metainfo()
    metainfo(blender-luxcorerender.metainfo.xml)

luxcorerender-debuginfo:
    luxcorerender-debuginfo
    luxcorerender-debuginfo(x86-64)



Unversioned so-files
--------------------
luxcorerender-libs: /usr/lib64/libglfw.so
luxcorerender-libs: /usr/lib64/python3.7/site-packages/pyluxcore.so

Source checksums
----------------
https://github.com/luxcorerender/LuxCore/archive/luxcorerender_v2.1beta1.tar.gz :
  CHECKSUM(SHA256) this package     : ad3e23f70a132b37dbaaa63e212f6287b6af77d69b29ba7d919ab747ee4dd30d
  CHECKSUM(SHA256) upstream package : ad3e23f70a132b37dbaaa63e212f6287b6af77d69b29ba7d919ab747ee4dd30d
https://github.com/luxcorerender/BlendLuxCore/archive/blendluxcore_v2.1beta1.tar.gz :
  CHECKSUM(SHA256) this package     : 745e5c12cd976c97ae7c3fcfaafd6b2e8f12bdc3bd06c0c3e88ae5b9259720e0
  CHECKSUM(SHA256) upstream package : 745e5c12cd976c97ae7c3fcfaafd6b2e8f12bdc3bd06c0c3e88ae5b9259720e0


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1645913
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 8 Mukundan Ragavan 2018-11-27 01:53:01 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

---> This is still a problem.  
  
- Header files in -devel subpackage, if present.
  Note: luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/acceleratorwindow.h luxcorerender-
  examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/EGL/eglext.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/GL/glext.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/GL/glxext.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/GL/wglext.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/KHR/khrplatform.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/getopt.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/glad/glad.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/tinycthread.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/include/GLFW/glfw3.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/include/GLFW/glfw3native.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/cocoa_platform.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/egl_context.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/glfw_config.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/glx_context.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/internal.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/iokit_joystick.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/linux_joystick.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/mir_platform.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/nsgl_context.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/posix_time.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/posix_tls.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/wgl_context.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/win32_platform.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/win32_tls.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/winmm_joystick.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/wl_platform.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/x11_platform.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/xkb_unicode.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/imgui-1.46/imconfig.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/imgui-1.46/imgui.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/imgui-1.46/imgui_internal.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/imgui-1.46/stb_rect_pack.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/imgui-1.46/stb_textedit.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/imgui-1.46/stb_truetype.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/nfd/common.h luxcorerender-
  examples : /usr/libexec/luxcorerender/luxcoreui/deps/nfd/include/nfd.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/deps/nfd/nfd_common.h luxcorerender-
  examples : /usr/libexec/luxcorerender/luxcoreui/epsilonwindow.h
  luxcorerender-examples : /usr/libexec/luxcorerender/luxcoreui/fileext.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/filmchannelswindow.h luxcorerender-
  examples : /usr/libexec/luxcorerender/luxcoreui/filmoutputswindow.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/filmradiancegroupswindow.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/haltconditionswindow.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/helpwindow.h luxcorerender-examples
  : /usr/libexec/luxcorerender/luxcoreui/imagewindow.h luxcorerender-
  examples : /usr/libexec/luxcorerender/luxcoreui/imgui_impl_glfw.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/lightstrategywindow.h luxcorerender-
  examples : /usr/libexec/luxcorerender/luxcoreui/logwindow.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/luxcoreapp.h luxcorerender-examples
  : /usr/libexec/luxcorerender/luxcoreui/objecteditorwindow.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/objectwindow.h luxcorerender-
  examples : /usr/libexec/luxcorerender/luxcoreui/ocldevicewindow.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/pixelfilterwindow.h luxcorerender-
  examples : /usr/libexec/luxcorerender/luxcoreui/renderenginewindow.h
  luxcorerender-examples :
  /usr/libexec/luxcorerender/luxcoreui/samplerwindow.h luxcorerender-
  examples : /usr/libexec/luxcorerender/luxcoreui/statswindow.h
  luxcorerender-examples : /usr/libexec/luxcorerender/luxcoreui/typetable.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/bcd-1.1/include/bcd/core/CovarianceMatrix.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/bcd-1.1/include/bcd/core/DeepImage.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/bcd-1.1/include/bcd/core/Denoiser.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/bcd-1.1/include/bcd/core/DenoisingUnit.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/bcd-1.1/include/bcd/core/IDenoiser.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/bcd-1.1/include/bcd/core/MultiscaleDenoiser.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/bcd-1.1/include/bcd/core/SamplesAccumulator.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/bcd-1.1/include/bcd/core/SpikeRemovalFilter.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Cholesky/LDLT.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Cholesky/LLT.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Assign.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/AssignEvaluator.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Block.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/BooleanRedux.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/CommaInitializer.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/CoreEvaluators.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/CwiseBinaryOp.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/CwiseNullaryOp.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/CwiseUnaryOp.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/DenseBase.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/DenseCoeffsBase.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/DenseStorage.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Diagonal.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/DiagonalMatrix.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Dot.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/EigenBase.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Fuzzy.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/GeneralProduct.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/GenericPacketMath.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/IO.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Map.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/MapBase.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/MathFunctions.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Matrix.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/MatrixBase.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/NestByValue.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/NoAlias.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/NumTraits.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/PermutationMatrix.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/PlainObjectBase.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Product.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/ProductEvaluators.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Random.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Redux.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Reverse.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/SelfAdjointView.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/SelfCwiseBinaryOp.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/StableNorm.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Stride.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Swap.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Transpose.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/TriangularMatrix.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/VectorBlock.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/VectorwiseOp.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/Visitor.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/arch/CUDA/Half.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/arch/SSE/Complex.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/arch/SSE/PacketMath.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/functors/AssignmentFunctors.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/functors/BinaryFunctors.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/functors/NullaryFunctors.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/functors/UnaryFunctors.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/products/GeneralBlockPanelKernel.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/products/GeneralMatrixMatrix.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/products/GeneralMatrixVector.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/products/Parallelizer.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/products/SelfadjointMatrixVector.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/products/SelfadjointRank2Update.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/BlasUtil.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/Constants.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/ForwardDeclarations.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/IndexedViewHelper.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/IntegralConstant.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/Macros.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/Memory.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/Meta.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/SymbolicIndex.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Core/util/XprHelper.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Eigenvalues/MatrixBaseEigenvalues.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Eigenvalues/SelfAdjointEigenSolver.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Eigenvalues/Tridiagonalization.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Geometry/EulerAngles.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Geometry/Homogeneous.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Geometry/OrthoMethods.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Householder/Householder.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Householder/HouseholderSequence.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/Jacobi/Jacobi.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/LU/Determinant.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/LU/FullPivLU.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/LU/InverseImpl.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/LU/PartialPivLU.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/QR/ColPivHouseholderQR.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/QR/CompleteOrthogonalDecomposition.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/QR/FullPivHouseholderQR.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/QR/HouseholderQR.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/SVD/BDCSVD.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/SVD/JacobiSVD.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/plugins/BlockMethods.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/plugins/CommonCwiseBinaryOps.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/plugins/CommonCwiseUnaryOps.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/plugins/MatrixCwiseBinaryOps.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/eigen-3.3.4/Eigen/src/plugins/MatrixCwiseUnaryOps.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/Exceptions.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/Grid.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/Platform.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/Types.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/io/Archive.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/io/Compression.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/io/File.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/io/GridDescriptor.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/io/TempFile.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/io/io.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/BBox.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Coord.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/LegacyFrustum.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Maps.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Mat.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Mat3.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Mat4.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Math.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Quat.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Transform.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Tuple.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Vec2.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Vec3.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/math/Vec4.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/metadata/MetaMap.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/metadata/Metadata.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/metadata/StringMetadata.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/openvdb.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tools/Interpolation.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tools/PointIndexGrid.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tools/PointPartitioner.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/InternalNode.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/Iterator.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/LeafManager.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/LeafNode.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/LeafNodeBool.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/NodeUnion.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/RootNode.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/Tree.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/TreeIterator.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/tree/ValueAccessor.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/util/Formats.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/util/Name.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/util/NodeMasks.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/deps/openvdb-3.1.0/openvdb/version.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxcore/luxcore.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxcore/luxcoreimpl.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxcore/pyluxcore/pyluxcoreforblender.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxcore/pyluxcore/pyluxcoreutils.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/accelerators/bvhaccel.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/accelerators/embreeaccel.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/accelerators/mbvhaccel.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/accelerator.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/bvh/bvhbuild.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/color/color.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/color/spd.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/color/spds/blackbodyspd.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/color/spds/data/rgbE_32.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/color/spds/data/xyzbasis.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/color/spds/irregular.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/color/spds/regular.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/color/spectrumwavelengths.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/color/swcspectrum.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/context.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/dataset.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/device.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/epsilon.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/exttrianglemesh.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/geometry/bbox.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/geometry/bsphere.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/geometry/frame.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/geometry/matrix3x3.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/geometry/matrix4x4.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/geometry/matrix4x4op.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/geometry/motionsystem.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/geometry/normal.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/geometry/point.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/geometry/quaternion.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/geometry/ray.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/geometry/raybuffer.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/geometry/transform.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/geometry/triangle.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/geometry/uv.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/geometry/vector.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/geometry/vector_normal.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/intersectiondevice.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/namedobject.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/namedobjectvector.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/randomgen.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/trianglemesh.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/core/virtualdevice.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/kernels/kernels.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/luxrays.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/utils/atomic.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/utils/cyhair/cyHairFile.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/utils/fileext.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/utils/mc.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/utils/mcdistribution.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/utils/memory.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/utils/ply/rply.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/utils/properties.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/utils/proputils.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/utils/safesave.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/utils/serializationutils.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/utils/thread.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/luxrays/utils/utils.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/bsdf/bsdf.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/bsdf/bsdfevents.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/bsdf/hitpoint.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/cameras/camera.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/cameras/environment.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/cameras/orthographic.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/cameras/perspective.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/cameras/projective.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/cameras/stereo.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/core/sdl.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/core/sphericalfunction/photometricdataies.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/core/sphericalfunction/sphericalfunction.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/core/statictable.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/editaction.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/engines/bidircpu/bidircpu.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/engines/bidircpu/bidircpurenderstate.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/engines/bidirvmcpu/bidirvmcpu.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/engines/cpurenderengine.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/engines/filesaver/filesaver.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/engines/lightcpu/lightcpu.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/engines/lightcpu/lightcpurenderstate.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/engines/pathcpu/pathcpu.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/engines/pathcpu/pathcpurenderstate.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/engines/pathtracer.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/engines/renderengine.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/engines/renderengineregistry.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/engines/rtpathcpu/rtpathcpu.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/engines/tilepathcpu/tilepathcpu.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/engines/tilepathcpu/tilepathcpurenderstate.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/engines/tilerepository.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/convtest/filmconvtest.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/denoiser/filmdenoiser.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/denoiser/samplesaccumulator.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/film.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/filmoutputs.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/filmsamplesplatter.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/filters/blackmanharris.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/filters/box.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/filters/filter.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/filters/filterdistribution.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/filters/filterregistry.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/filters/gaussian.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/filters/mitchell.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/filters/mitchellss.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/filters/none.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/framebuffer.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/imagepipeline.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/backgroundimg.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/bcddenoiser.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/bloom.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/cameraresponse.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/cameraresponsefunctions.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/coloraberration.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/contourlines.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/gammacorrection.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/gaussianblur3x3.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/mist.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/nop.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/objectidmask.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/outputswitcher.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/premultiplyalpha.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/tonemaps/autolinear.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/tonemaps/linear.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/tonemaps/luxlinear.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/tonemaps/reinhard02.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/tonemaps/tonemap.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/plugins/vignetting.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/imagepipeline/radiancechannelscale.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/film/sampleresult.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/imagemap/imagemap.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/imagemap/imagemapcache.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/kernels/kernels.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/constantinfinitelight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/data/ArHosekSkyModelData.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/data/lampspect.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/data/sunspect.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/distantlight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/infinitelight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/laserlight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/light.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/lightsourcedefs.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/mappointlight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/mapspherelight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/pointlight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/projectionlight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/sharpdistantlight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/sky2light.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/spherelight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/spotlight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/strategies/distributionlightstrategy.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/strategies/dlscache.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/strategies/dlscacheimpl/dlscacheimpl.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/strategies/dlscacheimpl/dlscbvh.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/strategies/dlscacheimpl/dlscoctree.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/strategies/lightstrategy.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/strategies/lightstrategyregistry.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/strategies/logpower.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/strategies/power.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/strategies/uniform.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/sunlight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/trianglelight.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/lights/visibility/envlightvisibility.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/archglass.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/carpaint.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/cloth.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/glass.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/glossy2.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/glossycoating.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/glossytranslucent.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/material.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/materialdefs.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/matte.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/mattetranslucent.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/metal2.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/mirror.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/mix.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/null.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/roughglass.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/roughmatte.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/roughmattetranslucent.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/materials/velvet.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/renderconfig.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/rendersession.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/renderstate.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/samplers/metropolis.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/samplers/random.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/samplers/rtpathcpusampler.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/samplers/sampler.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/samplers/samplerregistry.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/samplers/sobol.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/samplers/sobolsequence.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/samplers/tilepathsampler.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/scene/extmeshcache.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/scene/scene.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/scene/sceneobject.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/scene/sceneobjectdefs.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/shapes/meshshape.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/shapes/pointiness.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/shapes/shape.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/shapes/strands.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/slg.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/abs.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/add.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/band.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/bilerp.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/blackbody.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/blender_noiselib.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/blender_texture.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/brick.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/checkerboard.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/clamp.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/cloud.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/colordepth.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/constfloat.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/constfloat3.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/densitygrid.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/divide.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/dots.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/fbm.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/fresnel/fresnelcauchy.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/fresnel/fresnelcolor.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/fresnel/fresnelconst.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/fresnel/fresnelluxpop.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/fresnel/fresnelpreset.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/fresnel/fresnelsopra.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/fresnel/fresneltexture.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/fresnelapprox.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/hitpoint.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/hsv.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/imagemaptex.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/irregulardata.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/lampspectrum.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/mapping/mapping.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/marble.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/mix.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/normalmap.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/object_id.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/remap.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/scale.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/subtract.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/texture.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/texturedefs.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/uv.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/windy.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/textures/wrinkled.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/utils/filenameresolver.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/utils/halfserialization.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/utils/pathdepthinfo.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/utils/varianceclamping.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/volumes/clear.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/volumes/heterogenous.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/volumes/homogenous.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/include/slg/volumes/volume.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/acceleratorwindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/deps/GL/glext.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/deps/GL/glxext.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/include/GLFW/glfw3.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/src/glx_context.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/src/internal.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/src/linux_joystick.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/src/posix_time.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/src/posix_tls.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/src/x11_platform.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/deps/glfw-3.1.1/src/xkb_unicode.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/deps/imgui-1.46/imgui.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/deps/imgui-1.46/imgui_internal.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/deps/imgui-1.46/stb_rect_pack.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/deps/imgui-1.46/stb_textedit.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/deps/imgui-1.46/stb_truetype.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/deps/nfd/include/nfd.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/deps/nfd/nfd_common.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/epsilonwindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/fileext.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/filmchannelswindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/filmoutputswindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/filmradiancegroupswindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/haltconditionswindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/helpwindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/imagewindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/imgui_impl_glfw.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/lightstrategywindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/logwindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/luxcoreapp.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/objecteditorwindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/objectwindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/pixelfilterwindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/renderenginewindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/samplerwindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/statswindow.h
  luxcorerender-debugsource :
  /usr/src/debug/luxcorerender-2.1-0.2.beta1.fc30.x86_64/samples/luxcoreui/typetable.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
  
---> This is fine.

- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

---> devel package .so is unversioned. Why?
  
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: gcc-c++
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
  
---> Bogus
  
- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in luxcorerender-libs
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries

---> Bogus  

- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

---> Bogus

Comment 9 Mukundan Ragavan 2018-11-27 01:55:32 UTC
===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Cannot run licensecheck: Command 'licensecheck -r /var/lib/mock
     /fedora-rawhide-x86_64/root/builddir/build/BUILD/LuxCore-
     luxcorerender_v2.1beta1' returned non-zero exit status -15
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/.build-
     id/c5(libevent, graphviz, libXcomposite, unzip, libxcb, mdadm, gimp,
     coreutils, libglvnd, glibc, libvirt-daemon, compat-ffmpeg28,
     strongswan, iptables, ebtables, expat, python3-lazy-object-proxy, vlc-
     core, gegl04, freeipmi, libreoffice-writer, util-linux, lzo-minilzo,
     python3-libvirt, python3-systemd, lttng-ust, avahi, libselinux-utils),
     /usr/lib/.build-id/b3(libuser, ncurses-compat-libs, ImageMagick-libs,
     libreoffice-ure, cups, systemd, libpwquality, xfce4-panel, glibc,
     jack-audio-connection-kit, strongswan, krb5-workstation, gimp-libs,
     gvfs, gcc-c++, pam, python3-pandas, vlc-core, libgexiv2, libvorbis,
     pcre2, python3-pyyaml, qt5-qtwayland, NetworkManager-openvpn, gdk-
     pixbuf2-modules, orage, clang5.0-libs), /usr/lib/.build-id(qemu-ui-
     gtk, cups-client, efivar-libs, rsyslog, qemu-block-gluster, rpm-
     plugin-selinux, python3-qt5-webkit, libimagequant, giflib,
     libreoffice-graphicfilter, trousers, libdb-utils, xorg-x11-font-utils,
     OpenEXR-libs, libcom_err, libseccomp, p11-kit, libabw, gtkspell,
     libvirt-daemon-driver-storage-iscsi, libmodman, parted, libdvdread,
     perl-version, zstd, bluez-libs, libwebp, libxslt, system-config-
     printer-udev, perl-Encode, libverto-libev, python2-cryptography,
     libevdev, libgpg-error, lvm2-libs, perl-Digest-SHA, perl-Params-
     Classify, libsodium, python3-unbound, libzstd, gtk-murrine-engine,
     python3-sqlalchemy, symlinks, python3-simplejson, libcdr, e2fsprogs-
     libs, pulseaudio-libs, lcms2, python3-Bottleneck, qemu-guest-agent,
     annobin, ntfs-3g, libxcb, libyubikey, python3-pycurl, openconnect,
     xcb-util-keysyms, m4, libgphoto2, xcb-util, libwmf-lite, xfce4
     -pulseaudio-plugin, pulseaudio-utils, perl-Sub-Identify, llvm5.0-libs,
     perl-PerlIO-utf8_strict, libeot, ImageMagick-c++, systemd-bootchart,
     uniconvertor, u2f-hidraw-policy, perl-JSON-XS, texlive-pdftex, perl-
     Ref-Util-XS, perl-Time-Piece, dbusmenu-qt, ncurses-libs, libidn2,
     ldns, thunar-volman, xorg-x11-xkb-utils, NetworkManager-openvpn,
     libxkbfile, hplip-libs, libwvstreams, sane-backends-drivers-cameras,
     python3-hawkey, libwpd, libdc1394, libvirt-daemon-driver-qemu, qemu-
     block-ssh, libwps, gssdp, libacl, pulseaudio-libs-glib2,
     policycoreutils, mcelog, libgdiplus, pptp, sane-backends-drivers-
     scanners, libXxf86misc, foomatic, texlive-dvips, python3-reportlab,
     minizip, libpath_utils, rpm-build, libvirt-daemon-driver-storage-
     sheepdog, libglvnd-gles, python3-audit, redhat-lsb-core, libmicrodns,
     freeglut, gstreamer1, python3-statsmodels, gmime30, dbus-libs,
     libreoffice-gtk3, libreoffice-gtk2, cairo-gobject, python3-matplotlib-
     tk, libclastfm, gutenprint, openal-soft, usermode, xarchiver, qpdf-
     libs, linux-atm-libs, libedit, openssh, openssl, python3-cairo,
     python2-libdnf, accountsservice, isl, ImageMagick, gssproxy, mesa-
     libGLU, libatomic_ops, clang6.0-libs, libmpcdec, rubygem-io-console,
     geany, libyui-ncurses, libvirt-daemon-driver-interface,
     NetworkManager, libkate, liblangtag, python3-gmpy2, NetworkManager-
     l2tp-gnome, libdatrie, setuptool, guile, gl2ps, pcre-utf16, tree,
     pipewire, glusterfs-libs, gnupg, libnsl2, xfsprogs, authselect,
     libcroco, texlive-bibtex, xfce4-dict, qt5-qtsensors, NetworkManager-
     iodine, spice-server, NetworkManager-fortisslvpn-gnome, plymouth-
     plugin-label, colord-libs, aalib-libs, libcddb, totem-pl-parser,
     gpgmepp, gvnc, hypervfcopyd, cronie, libexttextcat,
     qt5-qtquickcontrols, gsl, nettle, libcacard, elfutils, colord,
     libpipeline, pkcs11-helper, gtk-sharp2, network-scripts, findutils,
     popt, python2-xpyb, qt5-qtx11extras, libraw1394, lm_sensors, gcc-c++,
     python3-dbus, iproute-tc, libupnp, spice-glib, woff2, python2-numpy,
     patch, sqlite-libs, lttng-ust, enchant, libXxf86dga,
     python2-smartcols, xdg-user-dirs-gtk, libwayland-client, pinentry-
     gnome3, libipt, mdadm, xl2tpd, device-mapper, libXtst, irqbalance,
     GeoIP, perl-Class-XSAccessor, GraphicsMagick, portaudio, libXrandr,
     newt, liba52, hplip, crda, libical, sheepdog, qt5-qtdeclarative, vo-
     amrwbenc, libXfont2, libblockdev-loop, libmfx, libssh2,
     python3-pyqt5-sip, NetworkManager-adsl, open-vm-tools-desktop,
     xmlsec1-nss, libXcursor, nftables, lua-lpeg, procps-ng, plymouth-core-
     libs, telnet, openfortivpn, xorg-x11-drv-nouveau, zlib, libpeas,
     pam_krb5, gutenprint-cups, avahi, libselinux, ncurses-compat-libs,
     libassuan, expat, cups-filters, iw, userspace-rcu, wavpack, live555,
     setroubleshoot-server, make, python3-markupsafe, libnice, libsoup,
     glusterfs-api, fuse, perl-Net-SSLeay, perl-Filter, ipmitool, cups-
     libs, libsepol, efivar, gzip, keyutils, libfdisk, libdmx, openssl-
     libs, corosynclib, libatasmart, ipset, x265-libs, libyui-gtk, libcaca,
     keybinder3, deltarpm, fuse-libs, gwenhywfar, xfce4-weather-plugin,
     xorg-x11-xauth, libglvnd-glx, libXrender, json-glib, libX11-xcb,
     libfontenc, libicu, libgsf, xorg-x11-drv-vmware, xfce-polkit,
     NetworkManager-openconnect, btrfs-progs, gcc-gfortran,
     python3-mistune, wvdial, sni-qt, openssh-askpass, mesa-libglapi, glx-
     utils, qtkeychain-qt5, aqbanking, libass, wpa_supplicant, libstdc++,
     ppp, libtiger, git, perl-Compress-Raw-Bzip2, jack-audio-connection-
     kit, mpg123-libs, opus, git-core, python3-tkinter, qalculate-gtk,
     libxklavier, traceroute, cyrus-sasl-plain, libblockdev-crypto,
     libreoffice-pdfimport, rp-pppoe, libtheora, attr, mtr, libblockdev-
     part, pugixml, plymouth, libcanberra-gtk3, mtdev, mailx, systemd-udev,
     fftw-libs-single, libXvMC, mousepad, wmctrl, python2-pillow, libXmu,
     capstone, libreoffice-impress, smartmontools, jasper-libs, librbd1,
     device-mapper-libs, xorg-x11-xinit, libogg, libffi, libGLEW,
     python2-hawkey, diffutils, chrony, time, mpfr, iputils,
     qt5-qtxmlpatterns, numactl-libs, libvirt-daemon-driver-nwfilter,
     gpgme, hypervvssd, xorg-x11-drv-openchrome, ristretto, libmcpp,
     libibverbs, gdb-headless, qemu-audio-pa, libqmi-utils, libmbim-utils,
     psacct, lame-libs, usbredir, ghostscript, libtirpc, iptables-libs,
     gnucash, cryptsetup-libs, bind-libs, pygobject2, lua-posix, libinput,
     libpkgconf, mono-core, python3-tables, qt5-qtconnectivity, libosinfo,
     qt5-qtsvg, libreoffice-calc, libqmi, gawk, xfce4-taskmanager, pcsc-
     lite-libs, adwaita-gtk2-theme, libbasicobjects, hdf5, rdma-core,
     vte291, nextcloud-client-libs, nmap, NetworkManager-strongswan-gnome,
     atril, brotli, filezilla, libdvbpsi, libsmbclient, python2-reportlab,
     libkcapi, libvdpau, compat-openssl10, opencore-amr, libnftnl, sstp-
     client, python3-libvirt, network-manager-applet, xcb-util-renderutil,
     texlive-luatex, lightdm, freetype, logrotate, libvirt-daemon-driver-
     secret, libdnet, atril-libs, ntfsprogs, efibootmgr, libgusb, samba-
     common-libs, libreswan, libpsl, python3-rpm, jimtcl, libuser,
     NetworkManager-libreswan, opensp, lz4-libs, graphviz, boost-date-time,
     tbb, libglade2, gts, pixman, xorg-x11-drv-vesa, python3-numexpr,
     libbluray, cifs-utils, texlive-lib, libbabeltrace, vpnc, psmisc, net-
     snmp-libs, xorg-x11-drv-libinput, mesa-libOSMesa, cairo, libgcc,
     gdisk, ilmbase, python3-zmq, xfce4-settings, poppler, pocl, djvulibre-
     libs, fftw-libs-double, libconfig, ModemManager, texmaker, qemu-img,
     qt5-qtbase-gui, xfce4-screenshooter, rtkit, orc, polkit, libuuid,
     faad2-libs, libarchive, libfreehand, python3-scipy, xfdesktop,
     cryptsetup, udisks2, clucene-contribs-lib, paps-libs, tcp_wrappers,
     xz, libXcomposite, rpcbind, pygtk2, vim-minimal, harfbuzz-icu,
     libplist, checkpolicy, xdg-user-dirs, hwloc-libs, tetex-dvipost,
     python3-lazy-object-proxy, gdk-pixbuf2, xscreensaver-base, gupnp,
     libevent, redland, tcpdump, yubikey-personalization-gui, libblockdev,
     librdmacm, lua-socket, dconf, xz-libs, dbus-glib, python3-kiwisolver,
     libdvdnav, strongswan, libcap, libprojectM, libvirt-daemon-driver-
     storage-zfs, libwbclient, kmod, libvirt-daemon-driver-storage-gluster,
     numad, NetworkManager-fortisslvpn, xfdashboard, GraphicsMagick-c++,
     libthai, fakeroot, libini_config, nss-tools, iproute, python2-gpg,
     libsmartcols, fakeroot-libs, python3-tornado, libyui-qt-graph, libwpg,
     os-prober, ethtool, libfprint, systemd-libs, cpio, libknet1, libfdt,
     util-linux, numlockx, krb5-libs, net-tools, python3-qt5, llvm6.0-libs,
     gtksourceview3, libpciaccess, clucene-core, compiler-rt,
     NetworkManager-ssh-gnome, libxml++, NetworkManager-pptp, libetonyek,
     libgs, libgxps, webkit2gtk3-jsc, libpagemaker, libxkbcommon, device-
     mapper-multipath-libs, yajl, lockdev, cups-filters-libs, poppler-
     utils, lpsolve, xorg-x11-server-utils, gnupg2, libvirt-daemon-driver-
     storage-iscsi-direct, cracklib, libepubgen, libdnf, ruby, gnuplot-
     common, gnome-keyring, libdbusmenu-gtk3, libdbusmenu-gtk2, libSM,
     texlive-makeindex, netpbm, nm-connection-editor, qt5-qttools-libs-
     help, libudisks2, gstreamer1-plugins-bad-free, NetworkManager-
     libreswan-gnome, python3-setools, clutter, zenity, chkconfig,
     libgnome-keyring, hostname, iscsi-initiator-utils, gparted, librados2,
     libvirt-daemon-driver-storage-mpath, pam, python2-cffi, openldap,
     zziplib, gamin, ipcalc, SDL, speex, libvirt-daemon-driver-storage-
     logical, neon, rest, libsamplerate, python2-lxml, NetworkManager-vpnc-
     gnome, boost-iostreams, pakchois, lapack, zfs-fuse, libusbmuxd, perl-
     Unicode-Normalize, libimobiledevice, lzop, NetworkManager-wwan,
     polkit-pkla-compat, jbig2dec-libs, libmtp, cyrus-sasl-lib, librevenge,
     nspr, python3-gobject-base, zvbi, dnsmasq, libXfixes, libblkid,
     libcdio, NetworkManager-l2tp, rsync, lua-libs, pavucontrol, perl-
     Params-Util, authselect-libs, soundtouch, xorg-x11-drv-evdev, libpeas-
     gtk, libXinerama, lirc-libs, vim-enhanced, libcmis, libesmtp, acl,
     iodine-client, xfce4-session, gupnp-igd, vid.stab, python3-fastcache,
     libXxf86vm, mesa-libEGL, clang-libs, rpm-plugin-systemd-inhibit,
     systemd-pam, python2-libvirt, glpk, ftgl, perl-Storable, perl-Digest-
     MD5, lua-term, libshout, perl-Sort-Key, libvirt-daemon-driver-storage-
     rbd, nss-util, libsemanage, libstorj, arpack, mozjs52, systemd-
     container, libcomps, libaec, at, file, simple-mtpfs, libblockdev-fs,
     java-1.8.0-openjdk-headless, libnma, gettext, soxr, python3-pandas,
     libutempter, libmetalink, slang, openblas-serial, usbutils, e2fsprogs,
     libcdio-paranoia, grub2-tools-minimal, cpp, libksba, libwayland-
     server, virglrenderer, dracut, gdbm, libchromaprint, osinfo-db-tools,
     libsndfile, libvisio, tk, ruby-libs, bzip2-libs, NetworkManager-
     iodine-gnome, sshpass, openssl-pkcs11, gnutls, device-mapper-
     persistent-data, ykpers, webkit2gtk3-plugin-process-gtk2, libselinux-
     utils, perl-Scalar-List-Utils, python2-appindicator, dosfstools, rng-
     tools, libspectre, nano, keyutils-libs, libproxy, libreoffice-math,
     perl-Data-Dumper, glusterfs-fuse, game-music-emu, libnfsidmap, perl-
     XML-Parser, mlocate, file-libs, grub2-tools, avahi-glib, mokutil,
     libblockdev-swap, libnetfilter_conntrack, python3-gobject, libev,
     xfce4-datetime-plugin, ocl-icd, fprintd-pam, blas, libXpresent,
     libusbx, NetworkManager-openvpn-gnome, qrencode-libs, libICE, xfce4
     -places-plugin, libgexiv2, drpm, qemu-block-nfs, createrepo_c-libs,
     grilo, perl-Compress-Raw-Zlib, libindicator-gtk3, speexdsp, upower,
     p7zip, libreoffice-x11, xcb-util-wm, Thunar, atk, dbxtool, gnome-vfs2,
     pragha, alsa-lib, gstreamer1-plugins-good-gtk, libwnck3, x264-libs,
     python2-gobject, gtkmm24, libvirt-daemon-driver-storage-disk, mesa-
     dri-drivers, pyliblzma, libffado, suitesparse, gdbm-libs, fribidi,
     NetworkManager-ssh, pciutils, qt5-qttools-libs-designer, openssh-
     clients, blosc, texlive-mfware, libX11, mate-desktop-libs, celt051,
     beignet, htop, gvfs-mtp, python3-cryptography, systemd, wipe, libnl3,
     gimp-libs, NetworkManager-sstp, libidn, grubby, openjpeg-libs,
     libdbusmenu, libdbi, libbytesize, libmpeg2, qemu-block-rbd,
     python3-systemd, python2-libcomps, audit-libs, gettext-libs, liborcus,
     cups, qt5-qtwayland, libref_array, raptor2, gtk-update-icon-cache,
     libyui, plymouth-plugin-two-step, sbc, qt-x11, libsane-hpaio, bash,
     poppler-glib, potrace, seahorse, orage, lvm2, harfbuzz, python3-wrapt,
     libva, gvfs-client, NetworkManager-libnm, python2-libs, zeromq, audit,
     lrzsz, libglvnd-egl, libunwind, unbound-libs, dhcp-libs, libtalloc,
     grep, ffmpeg, libepoxy, perl-Variable-Magic, man-db, libvirt-daemon-
     driver-storage-core, libibumad, epstool, mesa-libgbm, timedatex, fltk,
     qt5-qtenginio, python2-pynacl, rasqal, wireless-tools, libdb, passwd,
     cups-pk-helper, teckit, kmod-libs, libdv, gutenprint-libs, lm_sensors-
     libs, libreoffice-writer, desktop-file-utils, libXdamage,
     xorg-x11-utils, bzr, libmwaw, exo, gtkmm30, clang5.0-libs,
     qt5-qtmultimedia, libxfce4ui, texlive-xdvi, gobject-introspection,
     libpwquality, fontconfig, compat-ffmpeg28, jbigkit-libs, python3-sip,
     libkcapi-hmaccalc, libdaemon, hypervkvpd, pkgconf, json-c, sed, arj,
     perl-threads-shared, glib-networking, samba-libs, python3-qt5-base,
     kpartx, libpng, sane-backends-libs, python3-pillow, qt5-qtwebsockets,
     ktoblzcheck, cyrus-sasl, hardlink, libcollection, libgcrypt, cairomm,
     perl-Unicode-UTF8, nss-softokn, lasi, geoclue2, lsof, binutils,
     cronie-anacron, twolame-libs, cups-ipptool, fuse-exfat, xorg-x11
     -server-Xorg, libmbim, perl-IO, libomp, libverto, glibmm24, gtk-xfce-
     engine, libXScrnSaver, realmd, libmspub, ncurses, nfs-utils,
     graphite2, python3-kerberos, perl-List-MoreUtils-XS, passwdqc-lib,
     libmad, gmp, fuse3, volume_key-libs, cdparanoia-libs, ffmpeg-libs,
     alsa-plugins-pulseaudio, perl-interpreter, gimp, texlive-metafont,
     libcurl, coreutils, libcap-ng, xfce4-screenshooter-plugin, gvfs,
     dbus-x11, pinentry, libvirt-daemon-driver-storage-scsi, librepo, lua-
     filesystem, qemu-common, gsm, libuv, boost-filesystem, libtevent,
     librsvg2, openblas-threads, libglvnd, boost-system, libpcap, openblas-
     threads64_, wxBase3, qemu-block-iscsi, snappy, homebank, libindicator,
     libdrm, genisoimage, rubygem-bigdecimal, pcre2, perl-TermReadKey,
     qt5-qtwebkit, cogl, perl-MIME-Base64, libvirt-glib, libqhull,
     libmspack, libssh, libmodulemd, inkscape, GConf2, glibc,
     xfce4-appfinder, fipscheck, bc, gtk-vnc2, quota, wget, libijs, boost-
     regex, python2-unbound, qt5-qtserialport, libgomp, libexif, libkadm5,
     gdk-pixbuf2-xlib, glib2, spirv-tools-libs, qemu-system-x86-core,
     ImageMagick-libs, libwmf, pcre2-utf16, libmnl, libzmf, libmng, nss,
     pcre, tcp_wrappers-libs, sane-backends, gstreamer1-plugins-base, spax,
     pciutils-libs, libmpc, libXi, openjpeg2, libmatroska, flac-libs,
     libXt, libXv, rubygem-openssl, rpm-libs, info, libnfnetlink,
     libiec61883, NetworkManager-sstp-gnome, rpm-sign-libs, device-mapper-
     event, libusal, lightdm-gtk, qt5-qtbase, libpskc, linux-atm,
     python3-lxml, jwhois, qemu-block-dmg, curl, yelp-libs, gnuplot,
     rubygem-json, qt5-qtwebengine, fipscheck-lib, python2-pycurl,
     dos2unix, paps, libstaroffice, lzo-minilzo, geany-libgeany, gnome-
     keyring-pam, zchunk-libs, python3-matplotlib, gd, gc, python3-cups,
     libxshmfence, gstreamer1-plugins-ugly-free, atlas, unzip, vlc, gtk2,
     gtk3, libwayland-egl, libv4l, xfce4-session-engines, atkmm, npth,
     libyaml, mercurial, xcb-util-image, libfilezilla, libblockdev-mdraid,
     glusterfs, exiv2-libs, libebml, libunistring, gstreamer1-plugins-good,
     davfs2, python2-rpm, libasyncns, octave, qemu-block-curl, device-
     mapper-multipath, xmlsec1-openssl, python2-cairo, NetworkManager-pptp-
     gnome, jansson, bind-utils, garcon, pxz, firefox, trousers-lib,
     qrupdate, libnumbertext, libaom, zip, webrtc-audio-processing,
     startup-notification, python3-psutil, babl, libqxp, pinfo, freeipmi,
     xfce4-panel, libqalculate, elfutils-libs, libtasn1, perl-libintl-perl,
     libe-book, alsa-utils, sqlite, tar, python3-netifaces, xmlsec1-gnutls,
     sudo, dhcp-client, fprintd, gcc, dwz, xorg-x11-drv-qxl, gcr, ebtables,
     libyui-qt, avahi-libs, pigz, python3-pyyaml, libappindicator-gtk3,
     libquvi, gvfs-archive, thunar-archive-plugin, libao, perl-libs, kbd,
     dbus-daemon, libreoffice-core, libphodav, libwayland-cursor, openvpn,
     libpaper, xvidcore, libwacom, lzo, pango, libss, libshaderc, esmtp,
     polkit-libs, perl-threads, perl-Params-Validate, pangomm, mesa-
     libxatracker, nss-sysinit, LibRaw, texlive-gsftopk, nss-mdns,
     python3-cffi, qtsingleapplication-qt5, at-spi2-core, libvirt-daemon-
     driver-network, gegl04, glibc-common, liblockfile, re2, bind-export-
     libs, xmlsec1-gcrypt, owncloud-client-libs, qt5-qtlocation,
     python3-libxml2, libnfs, libgfortran, stoken-libs, libiscsi, texlive-
     kpathsea, groff-base, libusb, hdparm, hddtemp, mesa-libGL, perl-Devel-
     LexAlias, perl-HTML-Parser, libldb, bind-libs-lite, NetworkManager-
     vpnc, libmodplug, libvirt-daemon-driver-nodedev, libXres, libcanberra,
     libart_lgpl, libgudev, xorg-x11-drv-wacom, libsrtp, perl-Package-
     Stash-XS, samba-client-libs, qt5-qtscript, which, boost-chrono, samba-
     client, libaio, lua-expat, python3-cccolutils, libquadmath,
     libxfce4util, qemu-ui-curses, python2-krbv, brlapi, thunderbird,
     createrepo_c, liboauth, lmdb-libs, xmlsec1, xfce4-power-manager, isns-
     utils-libs, libmypaint, libwsman1, krb5-workstation, mcpp, nmap-ncat,
     vlc-core, lksctp-tools, usb_modeswitch, python3-libdnf, mythes,
     rubygem-psych, NetworkManager-wifi, qt, libfastjson, libvorbis,
     lightdm-gobject, NetworkManager-openconnect-gnome, vconfig,
     python3-libselinux, libodfgen, xfce4-notifyd, exiv2, iptables,
     texlive-xetex, libestr, qt5-qtwebchannel, lua, perl-PadWalker, llvm-
     libs, qtlockedfile-qt5, libvirt-libs, libsigc++20, passwdqc, libXft,
     schroedinger, libattr, hyphen, gnupg2-smime, rpm, qemu-audio-oss,
     libxcrypt, iptstate, radvd, libplacebo, openpgm, python3-libs,
     libappindicator, glusterfs-cli, perl-PathTools, ipset-libs, plymouth-
     graphics-libs, glusterfs-client-xlators, libreoffice-pyuno, libxml2,
     libreoffice-ure, iscsi-initiator-utils-iscsiuio, cyrus-sasl-gssapi,
     xfwm4, libargon2, mesa-vulkan-drivers, libvirt-daemon, protobuf-lite,
     libsecret, tumbler, gtk2-engines, strongswan-charon-nm, p11-kit-trust,
     libdca, fuse-sshfs, augeas-libs, libsysfs, python3-numpy, texlive-
     dvipng, xfce4-terminal, perl-Cpanel-JSON-XS, boost-locale, gdk-
     pixbuf2-modules, at-spi2-atk, xfconf, xen-libs, perl-DateTime, vim-
     common, python2-kerberos, less, libvpx, tcl, rpm-build-libs,
     libnghttp2, util-linux-user, libsolv, libxkbcommon-x11, libtdb,
     python3-gpg, libXdmcp, libofx, perl-Socket, python2-bcrypt, aspell,
     libatomic, libvisual, python3, python2, gpm-libs, minicom, unrar,
     dbus-tools, shared-mime-info, SDL2, webkit2gtk3, libsigsegv,
     keepassxc, boost-thread, perl-Devel-Caller, shadow-utils, nextcloud-
     client, libXaw, libXau, netcf-libs, pulseaudio-module-x11, dmidecode,
     qemu-audio-alsa, python3-libcomps, perl-Devel-CallChecker, libjpeg-
     turbo, spice-gtk3, fuse3-libs, libmount, spice-vdagent, xorg-x11-drv-
     wacom-serial-support, xorg-x11-drv-fbdev, libqb, owncloud-client,
     libavc1394, libtiff, python3-libsemanage, libvncserver, libnotify,
     ima-evm-utils, texlive-tex, ed, python2-gobject-base, mesa-libOpenCL,
     grub2-tools-extra, qemu-audio-sdl, openssh-server, fluidsynth-libs,
     qscintilla-qt5, taglib, libXext, libblockdev-utils, ModemManager-glib,
     bridge-utils, device-mapper-event-libs, initscripts, hunspell,
     libieee1284, wxGTK3, libndp, pulseaudio, qemu-ui-sdl, bzip2, elfutils-
     libelf, nss-softokn-freebl, open-vm-tools, python3-smartcols,
     libavdevice, libtool-ltdl, readline, yelp, xorg-x11-drv-intel, vulkan-
     loader, libXpm), /usr/lib/.build-id/f1(ncurses-compat-libs, libxcb,
     graphviz, python3-matplotlib, rsyslog, cups, pragha, libreoffice-core,
     osinfo-db-tools, xfdashboard, clang-libs, coreutils, vte291, perl-
     JSON-XS, perl-Ref-Util-XS, iptables, open-vm-tools, groff-base, perl-
     interpreter, qrencode-libs, sane-backends-drivers-scanners,
     GraphicsMagick, gstreamer1-plugins-good, octave, polkit-pkla-compat,
     vlc-core, pulseaudio, pugixml, bind-utils, lttng-ust, glibc), /usr/lib
     /.build-id/f2(iptables, glib-networking, cups, mpfr, man-db,
     GraphicsMagick, zlib, ImageMagick-libs, vlc-core, gstreamer1-plugins-
     base, gegl04, gimp, libnice, libconfig, python3-qt5, nss-softokn,
     libreoffice-core, libXext, glibc, gettext-libs, openssl-libs),
     /usr/lib/.build-id/5d(alsa-utils, libreoffice-pyuno, systemd-udev,
     libvisual, lua-posix, popt, gdbm, libyubikey, gimp, xfdashboard,
     samba-client-libs, shadow-utils, qt5-qtconnectivity, libnice,
     iptables, python3-libs, vlc-core, aqbanking, lirc-libs,
     python3-libdnf, xfce4-panel, libss, python2-numpy, glibc), /usr/lib
     /.build-id/32(cronie-anacron, colord, less, gstreamer1-plugins-bad-
     free, ImageMagick-libs, graphviz, cups, libreoffice-core, openssl-
     libs, glibc, qt5-qtmultimedia, python3-qt5-base, tk, strongswan,
     iptables, qt5-qtsvg, grub2-tools-extra, libgphoto2, systemd-udev, sni-
     qt, sane-backends-drivers-scanners, gstreamer1-plugins-good,
     GraphicsMagick, babl, gutenprint, vlc-core, wipe, bind-utils, gdk-
     pixbuf2-modules, python3-scipy, binutils), /usr/lib/.build-
     id/67(libao, procps-ng, xfsprogs, libofx, kbd, ruby-libs, numactl-
     libs, libreoffice-core, libSM, systemd, fltk, glibc, fontconfig, gts,
     strongswan, dracut, irqbalance, pam, iptables, psacct, graphite2,
     libshaderc, Thunar, cifs-utils, vlc-core, aspell, xorg-x11-xkb-utils,
     NetworkManager-vpnc, bind-utils, hplip-libs, lttng-ust, libselinux-
     utils, thunar-archive-plugin), /usr/lib/.build-id/52(man-db, systemd-
     udev, libxcb, qt5-qtsensors, atril-libs, gimp, compiler-rt, glibc,
     samba-client-libs, gnupg2, qt5-qtscript, strongswan, python2-libs,
     iptables, vlc, sane-backends-drivers-scanners, python3-libs,
     NetworkManager-wwan, GraphicsMagick, desktop-file-utils, tbb,
     libreswan, qt, e2fsprogs, createrepo_c, pipewire, nss-softokn, orage,
     clang5.0-libs, elfutils)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[!]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
     Note: Multiple Release: tags found
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     luxcorerender-libs , luxcorerender-core , luxcorerender-devel ,
     luxcorerender-debuginfo , luxcorerender-debugsource
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: luxcorerender-examples :
     /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/glfw3.pc
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.4.13 starting (python version = 3.7.1)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.13
INFO: Mock Version: 1.4.13
Finish: chroot init
INFO: installing package(s): /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-blender-2.1-0.2.beta1.fc30.noarch.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-libs-debuginfo-2.1-0.2.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-examples-2.1-0.2.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-libs-2.1-0.2.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-2.1-0.2.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-core-2.1-0.2.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-debugsource-2.1-0.2.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-debuginfo-2.1-0.2.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-core-debuginfo-2.1-0.2.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-devel-2.1-0.2.beta1.fc30.x86_64.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 30 --disableplugin=local --setopt=deltarpm=False install /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-blender-2.1-0.2.beta1.fc30.noarch.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-libs-debuginfo-2.1-0.2.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-examples-2.1-0.2.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-libs-2.1-0.2.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-2.1-0.2.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-core-2.1-0.2.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-debugsource-2.1-0.2.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-debuginfo-2.1-0.2.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-core-debuginfo-2.1-0.2.beta1.fc30.x86_64.rpm /home/mukundan/nextcloud/open_source_contrib/pkg_reviews/luxcorerender/1645913-luxcorerender/results/luxcorerender-devel-2.1-0.2.beta1.fc30.x86_64.rpm



Rpmlint
-------
Checking: luxcorerender-2.1-0.2.beta1.fc30.x86_64.rpm
          luxcorerender-libs-2.1-0.2.beta1.fc30.x86_64.rpm
          luxcorerender-core-2.1-0.2.beta1.fc30.x86_64.rpm
          luxcorerender-blender-2.1-0.2.beta1.fc30.noarch.rpm
          luxcorerender-devel-2.1-0.2.beta1.fc30.x86_64.rpm
          luxcorerender-examples-2.1-0.2.beta1.fc30.x86_64.rpm
          luxcorerender-debuginfo-2.1-0.2.beta1.fc30.x86_64.rpm
          luxcorerender-debugsource-2.1-0.2.beta1.fc30.x86_64.rpm
          luxcorerender-2.1-0.2.beta1.fc30.src.rpm
luxcorerender.x86_64: E: no-binary
luxcorerender-libs.x86_64: E: invalid-ldconfig-symlink /usr/lib64/libglfw.so libglfw.so.3.1
luxcorerender-libs.x86_64: W: no-soname /usr/lib64/pyluxcore.so
luxcorerender-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/pyluxcore.so exit@GLIBC_2.2.5
luxcorerender-libs.x86_64: W: no-documentation
luxcorerender-core.x86_64: W: no-documentation
luxcorerender-core.x86_64: W: no-manual-page-for-binary benchsimple
luxcorerender-core.x86_64: W: no-manual-page-for-binary luxcoreconsole
luxcorerender-core.x86_64: W: no-manual-page-for-binary luxcoredemo
luxcorerender-core.x86_64: W: no-manual-page-for-binary luxcoreimplserializationdemo
luxcorerender-core.x86_64: W: no-manual-page-for-binary luxcorescenedemo
luxcorerender-core.x86_64: W: no-manual-page-for-binary luxcoreui
luxcorerender-devel.x86_64: W: no-documentation
luxcorerender-examples.x86_64: W: no-documentation
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreconsole/luxcoreconsole.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoredemo/luxcoredemo.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcorescenedemo/luxcorescenedemo.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/acceleratorwindow.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/acceleratorwindow.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/EGL/eglext.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/GL/glext.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/GL/glxext.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/GL/wglext.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/KHR/khrplatform.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/getopt.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/getopt.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/glad.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/glad/glad.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/tinycthread.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/deps/tinycthread.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/include/GLFW/glfw3.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/include/GLFW/glfw3native.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/cocoa_platform.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/context.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/egl_context.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/egl_context.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/glfw3.pc
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/glfw_config.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/glx_context.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/glx_context.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/init.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/input.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/internal.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/iokit_joystick.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/linux_joystick.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/linux_joystick.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/mach_time.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/mir_init.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/mir_monitor.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/mir_platform.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/mir_window.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/monitor.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/nsgl_context.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/posix_time.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/posix_time.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/posix_tls.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/posix_tls.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/wgl_context.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/wgl_context.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/win32_init.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/win32_monitor.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/win32_platform.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/win32_time.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/win32_tls.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/win32_tls.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/win32_window.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/window.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/winmm_joystick.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/winmm_joystick.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/wl_init.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/wl_monitor.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/wl_platform.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/wl_window.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/x11_init.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/x11_monitor.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/x11_platform.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/x11_window.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/xkb_unicode.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/glfw-3.1.1/src/xkb_unicode.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/imgui-1.46/imconfig.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/imgui-1.46/imgui.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/imgui-1.46/imgui.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/imgui-1.46/imgui_demo.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/imgui-1.46/imgui_draw.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/imgui-1.46/imgui_internal.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/imgui-1.46/stb_rect_pack.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/imgui-1.46/stb_textedit.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/imgui-1.46/stb_truetype.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/nfd/common.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/nfd/include/nfd.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/nfd/nfd_common.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/nfd/nfd_common.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/nfd/nfd_gtk.c
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/deps/nfd/nfd_win.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/epsilonwindow.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/epsilonwindow.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/fileext.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/filmchannelswindow.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/filmchannelswindow.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/filmoutputswindow.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/filmoutputswindow.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/filmradiancegroupswindow.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/filmradiancegroupswindow.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/haltconditionswindow.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/haltconditionswindow.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/helpwindow.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/helpwindow.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/imagewindow.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/imagewindow.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/imgui_impl_glfw.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/imgui_impl_glfw.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/lightstrategywindow.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/lightstrategywindow.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/logwindow.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/logwindow.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/luxcoreapp.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/luxcoreapp.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/luxcoreui.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/objecteditorwindow.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/objecteditorwindow.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/objectwindow.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/objectwindow.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/ocldevicewindow.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/ocldevicewindow.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/pixelfilterwindow.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/pixelfilterwindow.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/renderenginewindow.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/renderenginewindow.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/resources/luxlogo_bg.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/samplerwindow.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/samplerwindow.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/statswindow.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/statswindow.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/typetable.h
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/uikeys.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/uiloop.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/uimenu.cpp
luxcorerender-examples.x86_64: W: devel-file-in-non-devel-package /usr/libexec/luxcorerender/luxcoreui/uimouse.cpp
luxcorerender-examples.x86_64: E: non-executable-script /usr/libexec/luxcorerender/pyluxcoredemo/pyluxcoredemo.py 644 /usr/bin/python3 -s
luxcorerender-examples.x86_64: E: non-executable-script /usr/libexec/luxcorerender/pyluxcoreserializationdemo/pyluxcoreserializationdemo.py 644 /usr/bin/python3 -s
luxcorerender-examples.x86_64: E: non-executable-script /usr/libexec/luxcorerender/pyluxcoretool/pyluxcoretool.py 644 /usr/bin/python3 -s
luxcorerender-examples.x86_64: E: non-executable-script /usr/libexec/luxcorerender/pysideluxcoredemo/pysideluxcoredemo.py 644 /usr/bin/python3 -s
9 packages and 0 specfiles checked; 6 errors, 136 warnings.




Requires
--------
luxcorerender-libs (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libHalf.so.12()(64bit)
    libIex-2_2.so.12()(64bit)
    libIlmImf-2_2.so.22()(64bit)
    libIlmThread-2_2.so.12()(64bit)
    libImath-2_2.so.12()(64bit)
    libOpenCL.so.1()(64bit)
    libOpenImageIO.so.1.8()(64bit)
    libX11.so.6()(64bit)
    libXcursor.so.1()(64bit)
    libXi.so.6()(64bit)
    libXinerama.so.1()(64bit)
    libXrandr.so.2()(64bit)
    libXxf86vm.so.1()(64bit)
    libboost_atomic.so.1.66.0()(64bit)
    libboost_chrono.so.1.66.0()(64bit)
    libboost_date_time.so.1.66.0()(64bit)
    libboost_filesystem.so.1.66.0()(64bit)
    libboost_iostreams.so.1.66.0()(64bit)
    libboost_numpy3.so.1.66.0()(64bit)
    libboost_program_options.so.1.66.0()(64bit)
    libboost_python3.so.1.66.0()(64bit)
    libboost_regex.so.1.66.0()(64bit)
    libboost_serialization.so.1.66.0()(64bit)
    libboost_system.so.1.66.0()(64bit)
    libboost_thread.so.1.66.0()(64bit)
    libc.so.6()(64bit)
    libembree3.so.3()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libjpeg.so.62()(64bit)
    libm.so.6()(64bit)
    libpng16.so.16()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libtbb.so.2()(64bit)
    libtiff.so.5()(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    rtld(GNU_HASH)

luxcorerender-debugsource (rpmlib, GLIBC filtered):

luxcorerender-core (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libGLU.so.1()(64bit)
    libHalf.so.12()(64bit)
    libIex-2_2.so.12()(64bit)
    libIlmImf-2_2.so.22()(64bit)
    libIlmThread-2_2.so.12()(64bit)
    libImath-2_2.so.12()(64bit)
    libOpenCL.so.1()(64bit)
    libOpenImageIO.so.1.8()(64bit)
    libX11.so.6()(64bit)
    libXcursor.so.1()(64bit)
    libXi.so.6()(64bit)
    libXinerama.so.1()(64bit)
    libXrandr.so.2()(64bit)
    libXxf86vm.so.1()(64bit)
    libatk-1.0.so.0()(64bit)
    libboost_atomic.so.1.66.0()(64bit)
    libboost_chrono.so.1.66.0()(64bit)
    libboost_date_time.so.1.66.0()(64bit)
    libboost_filesystem.so.1.66.0()(64bit)
    libboost_iostreams.so.1.66.0()(64bit)
    libboost_numpy3.so.1.66.0()(64bit)
    libboost_program_options.so.1.66.0()(64bit)
    libboost_python3.so.1.66.0()(64bit)
    libboost_regex.so.1.66.0()(64bit)
    libboost_serialization.so.1.66.0()(64bit)
    libboost_system.so.1.66.0()(64bit)
    libboost_thread.so.1.66.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libembree3.so.3()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglfw.so.3()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_1.0)(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libgtk-3.so.0()(64bit)
    libjpeg.so.62()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpng16.so.16()(64bit)
    libpthread.so.0()(64bit)
    libpython3.7m.so.1.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libtbb.so.2()(64bit)
    libtiff.so.5()(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    luxcorerender-lib(x86-64)
    rtld(GNU_HASH)

luxcorerender (rpmlib, GLIBC filtered):
    luxcorerender-core

luxcorerender-examples (rpmlib, GLIBC filtered):
    luxcorerender(x86-64)

luxcorerender-devel (rpmlib, GLIBC filtered):
    luxcorerender-libs(x86-64)

luxcorerender-blender (rpmlib, GLIBC filtered):
    /usr/bin/python3
    blender(ABI)
    luxcorerender(x86-64)

luxcorerender-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
luxcorerender-libs:
    LuxRender-lib
    libglfw.so.3()(64bit)
    luxcorerender-libs
    luxcorerender-libs(x86-64)

luxcorerender-debugsource:
    luxcorerender-debugsource
    luxcorerender-debugsource(x86-64)

luxcorerender-core:
    LuxRender-core
    luxcorerender-core
    luxcorerender-core(x86-64)

luxcorerender:
    LuxRender
    luxcorerender
    luxcorerender(x86-64)

luxcorerender-examples:
    luxcorerender-examples
    luxcorerender-examples(x86-64)

luxcorerender-devel:
    LuxRender-devel
    luxcorerender-devel
    luxcorerender-devel(x86-64)

luxcorerender-blender:
    LuxRender-blender
    luxcorerender-blender
    metainfo()
    metainfo(blender-luxcorerender.metainfo.xml)

luxcorerender-debuginfo:
    luxcorerender-debuginfo
    luxcorerender-debuginfo(x86-64)



Unversioned so-files
--------------------
luxcorerender-libs: /usr/lib64/libglfw.so
luxcorerender-libs: /usr/lib64/pyluxcore.so

Source checksums
----------------
https://github.com/luxcorerender/LuxCore/archive/luxcorerender_v2.1beta1.tar.gz :
  CHECKSUM(SHA256) this package     : ad3e23f70a132b37dbaaa63e212f6287b6af77d69b29ba7d919ab747ee4dd30d
  CHECKSUM(SHA256) upstream package : ad3e23f70a132b37dbaaa63e212f6287b6af77d69b29ba7d919ab747ee4dd30d
https://github.com/luxcorerender/BlendLuxCore/archive/blendluxcore_v2.1beta1.tar.gz :
  CHECKSUM(SHA256) this package     : 745e5c12cd976c97ae7c3fcfaafd6b2e8f12bdc3bd06c0c3e88ae5b9259720e0
  CHECKSUM(SHA256) upstream package : 745e5c12cd976c97ae7c3fcfaafd6b2e8f12bdc3bd06c0c3e88ae5b9259720e0


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1645913
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 10 Mukundan Ragavan 2018-11-27 01:58:18 UTC
Installation problem.

$ sudo dnf install luxcorerender-2.1-0.2.beta1.fc30.x86_64.rpm luxcorerender-core-2.1-0.2.beta1.fc30.x86_64.rpm luxcorerender-libs-2.1-0.2.beta1.fc30.x86_64.rpm
Last metadata expiration check: 0:00:38 ago on Mon 26 Nov 2018 08:49:07 PM EST.
Error: 
 Problem 1: conflicting requests
  - nothing provides luxcorerender-lib(x86-64) = 2.1-0.2.beta1.fc30 needed by luxcorerender-core-2.1-0.2.beta1.fc30.x86_64
 Problem 2: package luxcorerender-2.1-0.2.beta1.fc30.x86_64 requires luxcorerender-core = 2.1-0.2.beta1.fc30, but none of the providers can be installed
  - conflicting requests
  - nothing provides luxcorerender-lib(x86-64) = 2.1-0.2.beta1.fc30 needed by luxcorerender-core-2.1-0.2.beta1.fc30.x86_64

Comment 11 Mukundan Ragavan 2018-11-27 02:01:02 UTC
I think this is where the problem is - 

%package	libs
Summary:	Libraries for %{name}
Obsoletes:	LuxRender-lib < 2.0
Provides:	LuxRender-lib = 2.0

%description	libs
The %{name}-libs package contains shared library for %{name}.

%package	core
Summary:	Core binaries for %{name}
Requires:	%{name}-lib%{?_isa} = %{version}-%{release}
Obsoletes:	LuxRender-core < 2.0
Provides:	LuxRender-core = 2.0


Provides in the -libs package does not match the requires in core package. This needs fixing.


and this,

- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

---> devel package .so is unversioned. Why?

Last two issues (assuming rpmlint does not complain).


Sorry for the delay. I should be able to move quicker now.

Comment 12 Luya Tshimbalanga 2018-12-02 09:14:56 UTC
No worries.

Comment 14 Mukundan Ragavan 2018-12-14 03:24:39 UTC
Excellent. This package works.

[root@f29 ~]# rpm -qa luxcore*
luxcorerender-core-2.1-0.1.beta3.fc29.x86_64
luxcorerender-2.1-0.1.beta3.fc29.x86_64
luxcorerender-libs-2.1-0.1.beta3.fc29.x86_64
luxcorerender-devel-2.1-0.1.beta3.fc29.x86_64

unversioned .so is gone from devel.

[root@f29 ~]# rpmlint luxcore*
luxcorerender-core.x86_64: W: no-documentation
luxcorerender-core.x86_64: W: no-manual-page-for-binary benchsimple
luxcorerender-core.x86_64: W: no-manual-page-for-binary luxcoreconsole
luxcorerender-core.x86_64: W: no-manual-page-for-binary luxcoredemo
luxcorerender-core.x86_64: W: no-manual-page-for-binary luxcoreimplserializationdemo
luxcorerender-core.x86_64: W: no-manual-page-for-binary luxcorescenedemo
luxcorerender-core.x86_64: W: no-manual-page-for-binary luxcoreui
luxcorerender-devel.x86_64: W: no-documentation


luxcorerender-libs.x86_64: E: invalid-ldconfig-symlink /usr/lib64/libglfw.so libglfw.so.3.1

---> please fix this before import.

luxcorerender-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libglfw.so /lib64/libgomp.so.1
luxcorerender-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libglfw.so.3.1 /lib64/libgomp.so.1
luxcorerender-libs.x86_64: W: no-soname /usr/lib64/pyluxcore.so
luxcorerender-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/pyluxcore.so /lib64/libtiff.so.5
luxcorerender-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/pyluxcore.so /lib64/libIex-2_2.so.12
luxcorerender-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/pyluxcore.so /lib64/libIlmImf-2_2.so.22
luxcorerender-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/pyluxcore.so /lib64/libImath-2_2.so.12
luxcorerender-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/pyluxcore.so /lib64/libIlmThread-2_2.so.12
luxcorerender-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/pyluxcore.so /lib64/libpng16.so.16
luxcorerender-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/pyluxcore.so /lib64/libjpeg.so.62
luxcorerender-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/pyluxcore.so /lib64/libboost_program_options.so.1.66.0
luxcorerender-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/pyluxcore.so /lib64/libboost_date_time.so.1.66.0
luxcorerender-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/pyluxcore.so /lib64/libboost_atomic.so.1.66.0
luxcorerender-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/pyluxcore.so /lib64/libGL.so.1
luxcorerender-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/pyluxcore.so /lib64/libOpenCL.so.1
luxcorerender-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/pyluxcore.so exit@GLIBC_2.2.5
luxcorerender-libs.x86_64: W: no-documentation
luxcorerender.x86_64: W: incoherent-version-in-changelog 2.1-0.1.beta4 ['2.1-0.1.beta3.fc29', '2.1-0.1.beta3']
luxcorerender.x86_64: E: no-binary
4 packages and 0 specfiles checked; 2 errors, 26 warnings.


I do not have any other objections. I am approving the package but please fix invalid-ldconfig-symlink prior to import.

Comment 15 Luya Tshimbalanga 2018-12-14 03:44:37 UTC
Thanks Mukundan! I will fix the ldconfig-symlik before import.

Comment 16 Igor Raits 2018-12-17 13:31:15 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/luxcorerender

Comment 17 Luya Tshimbalanga 2019-05-08 21:17:45 UTC
Closing this report as the package is part of repository


Note You need to log in before you can comment on or make changes to this bug.